<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

//smarty_function_allegro_disp_sff

function smarty_function_allegro_disp_sffs( $params, &$smarty ){
    GLOBAL $allegro_sff;

    require_once $smarty->_get_plugin_filepath('function', 'allegro_disp_sff');
    
    $aukcja = $smarty->get_template_vars('aukcja');
    

    $left_column = $right_column = $bottom = array();

    $lp = count($aukcja->cat_sff);
    
    if( $lp == 0 ) return '';
    
    for( $i = 0, $l = 0; $i < $lp; $i++){
        if( $allegro_sff[$aukcja->cat_sff[$i]]['type'] == 6 ){
            $bottom[] = $aukcja->cat_sff[$i];
        }else{
            if( ( ($l++) % 2) ){
                $right_column[] = $aukcja->cat_sff[$i];
            }else{
                $left_column[] = $aukcja->cat_sff[$i];
            }
        }
    }
    
    

    $attribs  = '';
    $attribs .= '<table width="100%" cellspacing="0" cellpadding="0" class="attribs-tab">';
    $attribs .= '	<tbody>';

/**************************************************************************************************/

    $attribs .= '  <tr>' . "\n";
		$attribs .= '    <td width="50%">' . "\n";
    $attribs .= '    <table cellspacing="0" cellpadding="0" border="0">' . "\n";
    $attribs .= '	     <tbody>' . "\n";
    for( $i = 0, $lp = count($left_column); $i < $lp; $i++){
        $sff_id = $left_column[$i];
        $attribs .= smarty_function_allegro_disp_sff( array( 'sff_id' => $sff_id, 'value' => $aukcja->attribs[$sff_id] ), $smarty );
    }
    $attribs .= '      </tbody>' . "\n";
    $attribs .= '    </table>' . "\n";
    $attribs .= '  </td>' . "\n";
/**************************************************************************************************/
    
    $attribs .= '  <td width="50%">' . "\n";
    $attribs .= '    <table cellspacing="0" cellpadding="0" border="0">' . "\n";
    $attribs .= '	     <tbody>' . "\n";
    for( $i = 0, $lp = count($right_column); $i < $lp; $i++){
        $sff_id = $right_column[$i];
        $attribs .= smarty_function_allegro_disp_sff( array( 'sff_id' => $sff_id, 'value' => $aukcja->attribs[$sff_id] ), $smarty );
    }
    $attribs .= '      </tbody>' . "\n";
    $attribs .= '    </table>' . "\n";
    $attribs .= '  </td>' . "\n";
	  $attribs .= '</tr>' . "\n";

/**************************************************************************************************/

    $attribs .= '<tr>' . "\n";
		$attribs .= '  <td colspan=2>' . "\n";
    $attribs .= '    <table cellspacing="0" cellpadding="0" border="0">' . "\n";
    $attribs .= '	     <tbody>' . "\n";
    for( $i = 0, $lp = count($bottom); $i < $lp; $i++){
        $sff_id = $bottom[$i];
        $attribs .= smarty_function_allegro_disp_sff( array( 'sff_id' => $sff_id, 'value' => $aukcja->attribs[$sff_id] ), $smarty );
    }
    $attribs .= '      </tbody>' . "\n";
    $attribs .= '    </table>' . "\n";
    $attribs .= '  </td>' . "\n";
	  $attribs .= '</tr>' . "\n";

/**************************************************************************************************/
    $attribs .= '</tbody>';
    $attribs .= '</table>';
    
    return $attribs;
}

?>
