<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */

function smarty_function_naglowek($params, &$smarty){
    $win = $smarty->get_template_vars('win');

    if( $params ) {
        $smarty->assign($params);
    }
    
    if ( $win ) {
        $smarty->display('headerWin.tpl');
        //{assign var="anuluj_onclick" value="opener.focus(); window.close();"}
        $smarty->assign('footer_tpl', 'footerWin.tpl');
    }else if( (defined('IS_AJAX') && IS_AJAX) || ($ajax = $smarty->get_template_vars('ajax')) ){
        $smarty->assign('footer_tpl', '');
    }else if( ($xml = $smarty->get_template_vars('xml')) ){
        header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
        header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . 'GMT');
        header('Cache-Control: no-cache, must-revalidate');
        header('Pragma: no-cache');
        header('Content-Type: text/xml');
    }else{
        $smarty->display('header.tpl');

        if ( !empty($_SESSION['admin']) )
            $smarty->display('Menu.tpl');

        $smarty->assign('footer_tpl', 'footer.tpl');
    }
}


?>
