<form action="{$ADMIN_URL}" method=POST name="csv_form" >
  <input type="hidden" name="form_send" value=1>
  <input type="hidden" name="action" value="{$action}">
  <input type="hidden" name="mode" value="{$mode}">
  <input type="hidden" name="ID" value="{$csv->ID}">
  <input type="hidden" name="win" value="{$win}">

{if $csv->error}
  {assign var="error" value=$csv->error}
  {assign var="errors" value=$csv->errors}
  {include file="errors.tpl"}
{/if}
  
  <div class=rowodd>
    <div class=datalabel><label for="CSV_NAZWA">Nazwa:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('csv_nazwa_hint');" class=help></a>

        <input type="text" name="NAZWA" value="{$csv->NAZWA}" size=80 maxlength=128 id="CSV_NAZWA" >

        <div id="csv_nazwa_hint" class="hint">
          Dowolny tekst wpisywany przez uytkownika w celu atwiejszego rozpoznawania
          generowanego pliku csv. Nazw mona traktowa jak nazw pliku na dysku serwera, bez rozszerzenia csv.
          Maksymalnie 128 znakw.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=roweven>
    <div class=datalabel><label for="CSV_KODOWANIE">Kodowanie:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('csv_kodowanie_hint');" class=help></a>

        <select name="KODOWANIE" id="CSV_KODOWANIE">
            <option value="">Wybierz</option>
            {html_options options=$kodowania selected=$csv->KODOWANIE}
        </select>

        <div id="csv_nazwa_hint" class="hint">Kodowanie w jakim ma by zapisany plik csv.</div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=rowodd>
    <div class=datalabel><label for="CSV_CENA">Rodzaj ceny:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('csv_cena_hint');" class=help></a>

        <select name="CENA_ID" id="CSV_CENA">
            <option value="">Wybierz</option>
            {html_options options=$ceny selected=$csv->CENA_ID}
        </select>

        <div id="csv_cena_hint" class="hint">
          Tekst wyswietlany na pasku przegldarki. Maksymalnie 250 znakow.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=roweven>
    <div class=datalabel><label for="CSV_SEPARATOR_POLA">Separator pl:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('csv_separator_pola_hint');" class=help></a>

        <input type="text" name="SEPARATOR_POLA" value="{$csv->SEPARATOR_POLA}" size=1 maxlength=1 id="CSV_SEPARATOR_POLA" >

        <div id="csv_separator_pola_hint" class="hint">
          Jeden znak sucy do oddzielenia poszczeglnych pl od siebie.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=rowodd>
    <div class=datalabel><label for="CSV_SEPARATOR_TEKSTU">Separator tekstu:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('csv_separator_tekstu_hint');" class=help></a>
        <input type="text" name="SEPARATOR_TEKSTU" value="{$csv->SEPARATOR_TEKSTU}" size=1 maxlength=1 id="CSV_SEPARATOR_TEKSTU" >
        <div id="csv_separator_tekstu_hint" class="hint">Jeden znak sucy do ochrony tekstu.</div>
    </div>
    <div class=rowend></div>
  </div>

  <div class=roweven>
    <div class=datalabel><label for="CSV_STAN_ZEROWY">Stan zerowy:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('csv_stan_zerowy_hint');" class=help></a>

        <input type="checkbox" name="STAN_ZEROWY" value="1" {if $csv->STAN_ZEROWY}checked{/if} id="CSV_STAN_ZEROWY" >

        <div id="csv_stan_zerowy_hint" class="hint">
            Czy w eksporcie do csv jeli jest wybrane wysyanie stanu magazynu to czy zerowa stan
            towaru? Jesli opcja jest zaznaczna wwczas stan towaru bdzie rwny zero.
        </div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=rowodd>
    <div class=datalabel><label for="CSV_USE_CACHE">Cache:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('csv_cache_hint');" class=help></a>

        <input type="checkbox" name="USE_CACHE" value="1" {if $csv->USE_CACHE}checked{/if} id="CSV_USE_CACHE" >

        <div id="csv_cache_hint" class="hint">Jeden znak sucy do ochrony tekstu.</div>
    </div>
    <div class=rowend></div>
  </div>
  
  <div class=roweven id="csv_cache_period_row">
    <div class=datalabel><label for="CSV_CACHE_PERIOD">Cache okres:</label></div>
    <div class=datavalue>
        <a onclick="pokaz_ukryj_obiekt('csv_cache_period_hint');" class=help></a>
        <input type="text" name="CACHE_PERIOD" value="{$csv->CACHE_PERIOD}" size=11 maxlength=11 id="CSV_CACHE_PERIOD" >
        <div id="csv_cache_period_hint" class="hint">
            Okres przez jaki bdzie cache'owany plik csv jeli ju raz zosta wygenerowany.
        </div>
    </div>
    <div class=rowend></div>
  </div>

  <div class="rowhead">Cenniki:</div>
  <div class=rowodd id="csv_cenniki">
    <table class="data" cellpadding="0" cellspacing="0">
      <tr class="head">
        <th width="30"></th>
        <th >Nazwa</th>
      </tr>

      {section  loop=$cenniki name=i}
      {cycle values="odd,even" assign="rowclass"}
      <tr class="{$rowclass}" >
          <td class="lp" align=center>
              <input type=checkbox class="checkbox" id="cennik{$smarty.section.i.index}" name="CENNIKI[{$smarty.section.i.index}]" value="{$cenniki[i].ID}" {if in_array($cenniki[i].ID, $csv->CENNIKI) } checked {/if} >
          </td>
          <td align='left'>
            <a href="{$ADMIN_URL}?action={$ACTION_CENNIKI}&mode={$MODE_EDIT}&ID={$cenniki[i].ID}" title="Przejd do cennika" class="ficon"><img src="{$TPL_IMG_URL}/icons/ico-edit.png" alt=""></a>
            {if empty($cenniki[i].NAZWA) }
                <label for="cennik{$smarty.section.i.index}" >{$cenniki[i].NUMER_DOKUMENTU}</label>
            {else}
                <label for="cennik{$smarty.section.i.index}" >{$cenniki[i].NAZWA}</label>
            {/if}
            
            
          </td>
      </tr>
      {/section}

      {cycle values="odd,even" assign="rowclass"}
      <tr class="{$rowclass}" >
        <td width=30 align=center><input id=cenniki_select_all type=checkbox class="checkbox" name="cenniki_select_all" value="1" onclick="select_all(this, 'CENNIKI');"></td>
        <td><label for=cenniki_select_all>Zaznacz/odznacz wszytkie</label></td>
      </tr>
    </table>
  </div>

  <div class="rowhead">Pola:</div>
  <div class=rowodd id="csv_pola">
    <table class="data" cellpadding="0" cellspacing="0">
      {section  loop=$csv_pola name=i}
      {cycle values="odd,even" assign="rowclass"}
      <tr class="{$rowclass}" >
          <td width=150 height=30 valign=top>
            <label for="csv_pole_{$smarty.section.i.index_next}">Pole {$smarty.section.i.index_next}: </label></td>
          <td align='left'>
              <select name="POLA[{$smarty.section.i.index}]" id="csv_pole_{$smarty.section.i.index_next}">
                  <option value="">Wybierz</option>
                  {html_options options=$csv_pola selected=$csv->POLA[i] }
              </select>
          </td>
      </tr>
      {/section}
    </table>
  </div>
  
  <div class="rowhead"><label for="CSV_UWAGI">Uwagi:</label></div>
  <div><textarea name="UWAGI" rows=10 style="width:100%;" id="CSV_UWAGI">{$csv->UWAGI}</textarea></div>

  <div class="btns">
      <input type="image" src="{$SZABLON_IMG_URL}/buttons/submit.gif">

      {make_btn napis="Zapisz" adres="" onclick="document.forms['csv_form'].submit();" style="width: 70px; float: right;"}

      {if $csv->ID > 0}
        {make_btn napis="Usu" adres="$SELF_URL?action=$ACTION_STRONY&amp;mode=$MODE_DEL&amp;ID=`$csv->ID`&amp;win=$win"}
      {/if}

      {if isset($anuluj_onclick) }
          {make_btn napis=" Anuluj " adres="" onclick="$anuluj_onclick"}
      {else}
          {make_btn napis=" Anuluj " adres="" onclick="opener.focus(); window.close();"}
      {/if}
  </div>
</form>
