// JavaScript Document
var form_name = 'ec_seo_form';

function ec_seo_update_grupat( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['GRUPAT_ID'].value = id;
    o_form.elements['GRUPAT_NAZWA'].value = nazwa;

    $('#ec_seo_model_nazwa').val(nazwa);
}

function ec_seo_update_grupat_ext( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['GRUPAT_EXT_ID'].value = id;
    o_form.elements['GRUPAT_EXT_NAZWA'].value = nazwa;

    $('#ec_seo_model_nazwa').val(nazwa);
}


function ec_seo_towar_onreturn( id, nazwa ){
    var o_form = document.forms[form_name];

    o_form.elements['TOWAR_ID'].value = id;
    o_form.elements['TOWAR_NAZWA'].value = nazwa;

    $('#ec_seo_model_nazwa').val(nazwa);
}

function ec_seo_towar_update_more(el){
    var search_for = "item_id=";
    var pos1 = el.innerHTML.indexOf(search_for) + search_for.length + 1;
    var pos2 = el.innerHTML.indexOf(" ", pos1);
    var id = el.innerHTML.substring(pos1, pos2 - 1);

    id = parseInt(id);

    if( !isNaN(id) ){
        document.forms[form_name].elements['TOWAR_ID'].value = id;
        $('#ec_seo_model_nazwa').val(document.forms[form_name].elements['TOWAR_NAZWA'].value);
    }
}


(function($){
    $.fn.clearable = function(options){
        //dla kazdego
        this.each(function(){
            var input = $(this);

            if ( input.is('input[type=text]') ) {
                var ukryjTimeout = -1;
                var $icon_clear = $('<a href="#" class="icon-clear"></a>').click(function(e){
                    e && e.preventDefault();

                    input.val('');

                    if ( options && options.afterClear && typeof(options.afterClear) == 'function' ){
                        options.afterClear.call(input);
                    }

                    return false;
                }).hide().css({
                    'position' : 'absolute'
                    //'background-color' : input.css('background-color')
                }).hover(function(){
                    clearTimeout(ukryjTimeout);
                }, function(){
                    $(this).hide();
                });

                $(document.body).append($icon_clear);

                input.hover(function(){
                    var o = input.offset();
                    //console.log(o);
                    $icon_clear.css({
                        'top'  : o.top + 1,
                        'left' : o.left + input.width() - $icon_clear.width() - 1
                    }).show();

                    //input.data('paddingRight', input.css('padding-right'));
                    //input.css('padding-right', 20);
                }, function(){
                    ukryjTimeout = setTimeout( function(){
                        $icon_clear.hide()
                    }, 100 );

                    //input.css('padding-right', input.data('paddingRight'));
                });
            }
        });
    }
})(jQuery);
/**************************************************************************************************/

$(function(){
    $('#ec_seo_model').change(function(){
        $('.model-row').hide();
        document.forms[form_name].elements['MODEL_NAZWA'].value = '';

        if ( this.value == 'towar' ) {
            $('#ec_seo_towar_row').show();
            document.forms[form_name].elements['MODEL_NAZWA'].value = document.forms[form_name].elements['TOWAR_NAZWA'].value;;
        } else if ( this.value == 'producent' ) {
            $('#ec_seo_producent_row').show();
            $('#ec_seo_producent').triggerHandler('change');
        } else if(  this.value == 'grupat' ) {
            $('#ec_seo_grupat_row').show();
            document.forms[form_name].elements['MODEL_NAZWA'].value = document.forms[form_name].elements['GRUPAT_NAZWA'].value;;
        } else if( this.value == 'grupat_ext' ){
            $('#ec_seo_grupat_ext_row').show();
            document.forms[form_name].elements['MODEL_NAZWA'].value = document.forms[form_name].elements['GRUPAT_EXT_NAZWA'].value;
        }
    }).triggerHandler('change');

    $('#ec_seo_producent').change(function(){
        if ( this.selectedIndex > 0 ) {
            $('#ec_seo_model_nazwa').val( this.options[this.selectedIndex].label );
        } else {
            $('#ec_seo_model_nazwa').val('');
        }
    });

    $('#ec_seo_towar_nazwa').clearable({
        afterClear : function(){
            document.forms[form_name].elements['TOWAR_ID'].value = '';
            document.forms[form_name].elements['MODEL_NAZWA'].value = '';
        }
    });
});


