CREATE GENERATOR WWW_ZT_POZ_ID_GEN;
CREATE GENERATOR WWW_ZT_ID_GEN;




CREATE GENERATOR WWW_ZAL_GRUPY_ID_GEN;


CREATE GENERATOR WWW_WYRAZY_ID_GEN;


CREATE GENERATOR WWW_WEJSCIA_ID_GEN;




CREATE GENERATOR WWW_UWAGI_ID_GEN;


CREATE GENERATOR WWW_USERS_ID_GEN;




CREATE GENERATOR WWW_SYNONIMY_ID_GEN;


CREATE GENERATOR WWW_STRONY_ID_GEN;


CREATE GENERATOR WWW_STANY_UMOWNE_ID_GEN;


CREATE GENERATOR WWW_SPOSOBY_DOSTAWY_ID_GEN;




CREATE GENERATOR WWW_SMS_LOG_ID_GEN;


CREATE GENERATOR WWW_SEARCH_HISTORY_ID_GEN;




CREATE GENERATOR WWW_REG_ID_GEN;




CREATE GENERATOR WWW_PRZESYLKI_ID_GEN;




CREATE GENERATOR WWW_PROFILE_ID_GEN;


CREATE GENERATOR WWW_POWIADOMIENIA_ID_GEN;




CREATE GENERATOR WWW_PARTNERZY_ID_GEN;


CREATE GENERATOR WWW_PARAM_WART_ID_GEN;




CREATE GENERATOR WWW_PARAM_GRUPY_ID_GEN;




CREATE GENERATOR WWW_PARAMETRY_ID_GEN;




CREATE GENERATOR WWW_OFERTY_ID_GEN;




CREATE GENERATOR WWW_NEWS_ID_GEN;


CREATE GENERATOR WWW_LOG_ID_GEN;




CREATE GENERATOR WWW_KOSZYK_ID_GEN;




CREATE GENERATOR WWW_KOMENTARZE_ID_GEN;




CREATE GENERATOR WWW_IP_ID_GEN;


CREATE GENERATOR WWW_HIST_LOGOWANIA_ID_GEN;




CREATE GENERATOR WWW_FAV_ID_GEN;


CREATE GENERATOR WWW_ERRORS_ID_GEN;


CREATE GENERATOR WWW_CONFIG_ID_GEN;

CREATE GENERATOR WWW_CENNIK_ID_GEN;


CREATE GENERATOR WWW_AUKCJE_ID_GEN;




CREATE EXCEPTION WWW_SPOSOBY_DOSTAWY_BD_EXC 'Nie mona usun tego sposobu dostawy';


CREATE DOMAIN WWW_SESJA_D AS
  CHAR(32) CHARACTER SET WIN1250
  NOT NULL
  COLLATE WIN1250;


CREATE DOMAIN WWW_IDENT_D AS
  VARCHAR(15) CHARACTER SET WIN1250
  COLLATE PXW_PLK;


CREATE DOMAIN SMS_TRESC_D AS
  VARCHAR(640) CHARACTER SET WIN1250
  COLLATE WIN1250;


CREATE DOMAIN KONTO_WWW_TYP_D AS
  SMALLINT
  NOT NULL
  CHECK (VALUE IN (0,1,2));


CREATE DOMAIN FILE_EXT_D AS
  VARCHAR(4) CHARACTER SET WIN1250
  COLLATE WIN1250;


CREATE DOMAIN ALLEGRO_LOGIN_D AS
  VARCHAR(16) CHARACTER SET WIN1250
  COLLATE WIN1250;


CREATE DOMAIN ADRES_IP_D AS
  VARCHAR(15) CHARACTER SET WIN1250
  DEFAULT '0.0.0.0'
  COLLATE WIN1250;


CREATE DOMAIN ADRES_EMAIL_D AS
  VARCHAR(64) CHARACTER SET WIN1250
  COLLATE WIN1250;


CREATE TABLE WWW_ZT_POZ (
  ID ID_D NOT NULL,
  ID_GLOWKI ID_D NOT NULL,
  ID_TOWARU ID_D NOT NULL,
  LP INTEGER,
  SKROT_ORYGINALNY STRING25_D NOT NULL,
  NAZWA_ORYGINALNA STRING250_D NOT NULL,
  SKROT_ALTERNATYWNY STRING25_D NOT NULL,
  NAZWA_ALTERNATYWNA STRING250_D NOT NULL,
  ILOSC_PO ILOSC_D NOT NULL,
  ID_OPAKOWANIA SLOWNIK_D,
  ILOSC_ZAMOWIONYCH_OPAKOWAN ILOSC_NULL_D,
  JEDNOSTKA SLOWNIK_D,
  JEDNOSTKA_ALT SLOWNIK_D,
  WSPOLCZYNNIK_JEDN CENA_D DEFAULT 1 NOT NULL,
  ILOSC_ALT_PO ILOSC_D NOT NULL,
  RODZAJ_RABATU SLOWNIK_D,
  RABAT PROCENT_D NOT NULL,
  ID_STAWKI ID_D NOT NULL,
  STAWKA PROCENT_D NOT NULL,
  RODZAJ_CENY SLOWNIK_D,
  ID_WAL_CENY_KAT ID_D DEFAULT 0 NOT NULL,
  KURS_WAL_CENY_KAT NUMERIC(15, 8) DEFAULT 0,
  CENA_KATALOGOWA CENA_D NOT NULL,
  CENA_SPRZEDAZY CENA_D NOT NULL,
  CENA_SP_WAL_BRUTTO CENA_D NOT NULL,
  CENA_SP_WAL_NETTO CENA_D NOT NULL,
  CENA_SP_PLN_NETTO CENA_D NOT NULL,
  CENA_SP_PLN_BRUTTO CENA_D DEFAULT 0.0000 NOT NULL,
  CENA_SP_WAL_NETTO_ALT CENA_D NOT NULL,
  CENA_SP_WAL_BRUTTO_ALT CENA_D NOT NULL,
  CENA_SP_PLN_NETTO_ALT CENA_D NOT NULL,
  CENA_SP_PLN_BRUTTO_ALT CENA_D DEFAULT 0.0000 NOT NULL,
  WAGA_ZAMOWIONYCH_NETTO ILOSC_D NOT NULL,
  WAGA_ZAMOWIONYCH_BRUTTO ILOSC_D NOT NULL,
  WAGA_ZAMOWIONYCH_OPAKOWAN ILOSC_D NOT NULL,
  UWAGI BLOB);


ALTER TABLE WWW_ZT_POZ ADD CONSTRAINT WWW_ZT_POZ_PK PRIMARY KEY (ID);

ALTER TABLE WWW_ZT_POZ ADD CONSTRAINT WWW_ZT_POZ_ID_OPAKOWANIA_FK FOREIGN KEY (ID_OPAKOWANIA) REFERENCES GM_OPAKOWANIA(ID) ON UPDATE CASCADE;

ALTER TABLE WWW_ZT_POZ ADD CONSTRAINT WWW_ZT_POZ_ID_TOWARU FOREIGN KEY (ID_TOWARU) REFERENCES GM_TOWARY(ID) ON UPDATE CASCADE;

ALTER TABLE WWW_ZT_POZ ADD CONSTRAINT WWW_ZT_POZ_JEDN_ALT_FK FOREIGN KEY (JEDNOSTKA_ALT) REFERENCES GM_MIARY(ID) ON UPDATE CASCADE;

ALTER TABLE WWW_ZT_POZ ADD CONSTRAINT WWW_ZT_POZ_RODZAJCENY_FK FOREIGN KEY (RODZAJ_CENY) REFERENCES GM_CENY(ID) ON UPDATE CASCADE;

ALTER TABLE WWW_ZT_POZ ADD CONSTRAINT WWW_ZT_POZ_RODZAJRABATU_FK FOREIGN KEY (RODZAJ_RABATU) REFERENCES GM_RABATY(ID) ON UPDATE CASCADE;


CREATE INDEX WWW_ZT_POZ_ID_GLOWKI_IND ON WWW_ZT_POZ(ID_GLOWKI);


SET TERM  ^ ;

CREATE TRIGGER WWW_ZT_POZ_BI FOR WWW_ZT_POZ
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_ZT_POZ_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_ZT (
  ID ID_D NOT NULL,
  MAGNUM ID_D NOT NULL,
  SPOSOB_LICZENIA BLOKADA_D NOT NULL,
  ID_SPOSOBU_PLATNOSCI SLOWNIK_D NOT NULL,
  NAZWA_SPOSOBU_PLATNOSCI STRING100_D NOT NULL,
  TERMIN_PLATNOSCI SMALLINT,
  SP_DOST_USLUGA INTEGER,
  RODZAJ_CENY SLOWNIK_D,
  RODZAJ_RABATU SLOWNIK_D,
  ID_WALUTY ID_D DEFAULT 0 NOT NULL,
  ID_TABELI_KURSOWEJ SLOWNIK_D,
  NUMER_TABELI_KURSOWEJ NUMER_NULL_D,
  KURS NUMERIC(15, 8) DEFAULT 1,
  ID_PLATNIKA ID_D NOT NULL,
  ID_ODBIORCY ID_D NOT NULL,
  NAZWA_SKROCONA_PLATNIKA STRING50_D NOT NULL,
  NIP_PLATNIKA STRING20_D,
  KOD_KRESKOWY_PLATNIKA STRING40_D,
  NAZWA_PELNA_PLATNIKA NAZWA_D NOT NULL,
  ULICA_PLATNIKA STRING50_D,
  NRDOMU_PLATNIKA STRING10_D,
  NRLOKALU_PLATNIKA STRING10_D,
  KOD_PLATNIKA STRING10_D,
  MIEJSCOWOSC_PLATNIKA STRING50_D,
  PANSTWO_PLATNIKA STRING25_D,
  NAZWA_SKROCONA_ODBIORCY STRING50_D NOT NULL,
  NIP_ODBIORCY STRING20_D,
  KOD_KRESKOWY_ODBIORCY STRING40_D,
  NAZWA_PELNA_ODBIORCY NAZWA_D NOT NULL,
  ULICA_ODBIORCY STRING50_D,
  NRDOMU_ODBIORCY STRING10_D,
  NRLOKALU_ODBIORCY STRING10_D,
  KOD_ODBIORCY STRING10_D,
  MIEJSCOWOSC_ODBIORCY STRING50_D,
  PANSTWO_ODBIORCY STRING25_D,
  WAL_WARTOSC_NETTO WARTOSC_D DEFAULT 0 NOT NULL,
  WAL_KWOTA_VAT WARTOSC_D DEFAULT 0 NOT NULL,
  WAL_WARTOSC_BRUTTO WARTOSC_D DEFAULT 0 NOT NULL,
  PLN_WARTOSC_NETTO WARTOSC_D DEFAULT 0 NOT NULL,
  PLN_KWOTA_VAT WARTOSC_D DEFAULT 0.0000 NOT NULL,
  PLN_WARTOSC_BRUTTO WARTOSC_D DEFAULT 0.0000 NOT NULL,
  KOSZT_PRZESYLKI CENA_D NOT NULL,
  KOSZT_PRZESYLKI_BRUTTO CENA_D NOT NULL,
  DATADODANIA DATA_TIME_D DEFAULT CURRENT_DATE NOT NULL,
  GUID GUID_D,
  UWAGI BLOB SUB_TYPE 1 CHARACTER SET WIN1250,
  UWAGI_KLIENTA BLOB SUB_TYPE 1 CHARACTER SET WIN1250,
  ADRES_WYSYLKI BLOB SUB_TYPE 1 CHARACTER SET WIN1250,
  FV_DANE BLOB SUB_TYPE 1 CHARACTER SET WIN1250,
  CONFIRM BOOLEAN_D NOT NULL,
  CONFIRM_DATE TIMESTAMP,
  EMAIL ADRES_EMAIL_D,
  FAKTURA BOOLEAN_D NOT NULL,
  NAZWA_SPOSOBU_DOSTAWY VARCHAR(100) CHARACTER SET WIN1250 COLLATE WIN1250,
  USER_ID INTEGER,
  WEJSCIE_ID INTEGER);


ALTER TABLE WWW_ZT ADD CONSTRAINT WWW_ZT_PK PRIMARY KEY (ID);

ALTER TABLE WWW_ZT ADD CONSTRAINT WWW_ZT_ID_ODBIORCY_FK FOREIGN KEY (ID_ODBIORCY) REFERENCES R3_CONTACTS(ID) ON UPDATE CASCADE;

ALTER TABLE WWW_ZT ADD CONSTRAINT WWW_ZT_ID_PLATNIKA_FK FOREIGN KEY (ID_PLATNIKA) REFERENCES R3_CONTACTS(ID) ON UPDATE CASCADE;

ALTER TABLE WWW_ZT ADD CONSTRAINT WWW_ZT_ID_SP_ZAPLATY_FK FOREIGN KEY (ID_SPOSOBU_PLATNOSCI) REFERENCES GM_SPOSOBY_ZAP(ID) ON UPDATE CASCADE;

ALTER TABLE WWW_ZT ADD CONSTRAINT WWW_ZT_MAGNUM_FK FOREIGN KEY (MAGNUM) REFERENCES GM_MAGAZYNY(ID) ON UPDATE CASCADE;

ALTER TABLE WWW_ZT ADD CONSTRAINT WWW_ZT_RODZAJ_CENY_FK FOREIGN KEY (RODZAJ_CENY) REFERENCES GM_CENY(ID) ON UPDATE CASCADE;

ALTER TABLE WWW_ZT ADD CONSTRAINT WWW_ZT_RODZAJ_RABATU_FK FOREIGN KEY (RODZAJ_RABATU) REFERENCES GM_RABATY(ID) ON UPDATE CASCADE;


CREATE INDEX WWW_ZT_GUID_IND ON WWW_ZT(GUID);

CREATE INDEX WWW_ZT_ID_PLATNIKA_IND ON WWW_ZT(ID_PLATNIKA);


SET TERM  ^ ;

CREATE TRIGGER WWW_ZT_BI FOR WWW_ZT
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_ZT_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_ZK_FS2PA (
  ZK_ID INTEGER NOT NULL,
  ID_PLATNIKA INTEGER NOT NULL,
  ID_ODBIORCY INTEGER NOT NULL,
  CDATE TIMESTAMP DEFAULT current_timestamp NOT NULL);


ALTER TABLE WWW_ZK_FS2PA ADD CONSTRAINT WWW_ZK_FS2PA_PK PRIMARY KEY (ZK_ID);


CREATE TABLE WWW_ZAL_GRUPY (
  ID INTEGER NOT NULL,
  NAZWA STRING50_D NOT NULL,
  WYSWIETLANIE SMALLINT NOT NULL,
  CZAS_WYSWIETLANIA NUMERIC(12, 4),
  LICZBA_POBRAN INTEGER,
  UWAGI BLOB SUB_TYPE 2 SEGMENT SIZE 256,
  CDATE TIMESTAMP NOT NULL,
  MDATE TIMESTAMP NOT NULL);


ALTER TABLE WWW_ZAL_GRUPY ADD CONSTRAINT WWW_ZAL_GRUPY_PK PRIMARY KEY (ID);


CREATE UNIQUE INDEX WWW_ZAL_GRUPY_NAZWA_IND ON WWW_ZAL_GRUPY(NAZWA);


CREATE TABLE WWW_WYRAZY (
  ID INTEGER NOT NULL,
  WYRAZ VARCHAR(64) CHARACTER SET WIN1250 NOT NULL COLLATE PXW_PLK,
  CDATE TIMESTAMP,
  MDATE TIMESTAMP);


ALTER TABLE WWW_WYRAZY ADD CONSTRAINT WWW_WYRAZY_PK PRIMARY KEY (ID);


CREATE INDEX WWW_WYRAZY_DATY_IND ON WWW_WYRAZY(CDATE,MDATE);

CREATE INDEX WWW_WYRAZY_WYRAZ_IND ON WWW_WYRAZY(WYRAZ);

SET TERM  ^ ;

CREATE TRIGGER WWW_WYRAZY_BI FOR WWW_WYRAZY
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_WYRAZY_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_UWAGI (
  ID INTEGER NOT NULL,
  PODPIS VARCHAR(50) CHARACTER SET WIN1250 COLLATE WIN1250,
  EMAIL VARCHAR(64) CHARACTER SET WIN1250 COLLATE WIN1250,
  TRESC BLOB SUB_TYPE 1 CHARACTER SET WIN1250,
  ADRES_IP ADRES_IP_D,
  LINK VARCHAR(128) CHARACTER SET WIN1250 COLLATE WIN1250,
  DATA DATE);


ALTER TABLE WWW_UWAGI ADD CONSTRAINT WWW_UWAGI_PK PRIMARY KEY (ID);


CREATE INDEX WWW_UWAGI_ADRES_IP_IND ON WWW_UWAGI(ADRES_IP);

CREATE INDEX WWW_UWAGI_DATA_IND ON WWW_UWAGI(DATA);

CREATE INDEX WWW_UWAGI_EMAIL_IND ON WWW_UWAGI(EMAIL);

CREATE INDEX WWW_UWAGI_LINK_IND ON WWW_UWAGI(LINK);

CREATE INDEX WWW_UWAGI_PODPIS_IND ON WWW_UWAGI(PODPIS);


SET TERM  ^ ;

CREATE TRIGGER WWW_UWAGI_BI FOR WWW_UWAGI
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_UWAGI_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_TOWARY (
  TOWAR_ID INTEGER NOT NULL,
  NAZWA VARCHAR(250) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  OPIS BLOB SUB_TYPE 1 CHARACTER SET WIN1250,
  KEYWORDS STRING512_D);


ALTER TABLE WWW_TOWARY ADD CONSTRAINT WWW_TOWARY_TOWAR_ID_FK FOREIGN KEY (TOWAR_ID) REFERENCES GM_TOWARY(ID) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE INDEX WWW_TOWARY_NAZWA_IND ON WWW_TOWARY(NAZWA);


CREATE TABLE WWW_SYNONIMY (
  ID INTEGER NOT NULL,
  WYRAZ_ID INTEGER NOT NULL,
  SYNONIM VARCHAR(64) CHARACTER SET WIN1250 NOT NULL COLLATE PXW_PLK);


ALTER TABLE WWW_SYNONIMY ADD CONSTRAINT WWW_SYNONIMY_PK PRIMARY KEY (ID);

ALTER TABLE WWW_SYNONIMY ADD CONSTRAINT WWW_SYNONIMY_WYRAZ_ID_FK FOREIGN KEY (WYRAZ_ID) REFERENCES WWW_WYRAZY(ID) ON DELETE CASCADE ON UPDATE CASCADE;

CREATE UNIQUE INDEX WWW_SYNONIMY_WYRAZ_SYNONIM_UK ON WWW_SYNONIMY(WYRAZ_ID,SYNONIM);


SET TERM  ^ ;

CREATE TRIGGER WWW_SYNONIMY_BI FOR WWW_SYNONIMY
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_SYNONIMY_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_STRONY (
  ID INTEGER NOT NULL,
  NAZWA VARCHAR(128) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  TYTUL STRING250_D NOT NULL,
  TRESC BLOB SUB_TYPE 1 SEGMENT SIZE 2048 CHARACTER SET WIN1250,
  CDATE TIMESTAMP NOT NULL,
  MDATE TIMESTAMP NOT NULL);


ALTER TABLE WWW_STRONY ADD CONSTRAINT WWW_STRONY_PK PRIMARY KEY (ID);

ALTER TABLE WWW_STRONY ADD CONSTRAINT WWW_STRONY_NAZWA_UNQ UNIQUE (NAZWA);


CREATE INDEX WWW_STRONY_DATY_IND ON WWW_STRONY(CDATE,MDATE);


SET TERM  ^ ;

CREATE TRIGGER WWW_STRONY_BI FOR WWW_STRONY
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_STRONY_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_STATS (
  TOWAR_ID INTEGER NOT NULL,
  WYSWIETLEN INTEGER NOT NULL,
  DATA DATE NOT NULL,
  ROK SMALLINT NOT NULL,
  MIESIAC SMALLINT NOT NULL,
  DZIEN SMALLINT NOT NULL);


ALTER TABLE WWW_STATS ADD CONSTRAINT WWW_STATS_TOWAR_ID_FK FOREIGN KEY (TOWAR_ID) REFERENCES GM_TOWARY(ID) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE INDEX WWW_STATS_DATA_IND ON WWW_STATS(DATA);

CREATE INDEX WWW_STATS_GLOWNY_IND ON WWW_STATS(TOWAR_ID,ROK,MIESIAC,DZIEN);

CREATE INDEX WWW_STATS_WYSWIETLEN_IND ON WWW_STATS(WYSWIETLEN);


CREATE TABLE WWW_STANY_UMOWNE (
  ID INTEGER NOT NULL,
  NAZWA VARCHAR(20) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  RZECZYWISTY BOOLEAN_D NOT NULL,
  PROG_DOLNY ILOSC_NULL_D,
  PROG_GORNY ILOSC_NULL_D,
  GRUPA_ID INTEGER DEFAULT 0 NOT NULL,
  GRUPA_EXT_ID SMALLINT,
  TOWAR_ID INTEGER DEFAULT 0 NOT NULL,
  ICO BOOLEAN_D NOT NULL,
  ICO_NAME VARCHAR(128) CHARACTER SET WIN1250 COLLATE WIN1250,
  ICO_EXT VARCHAR(4) CHARACTER SET WIN1250 COLLATE WIN1250,
  ICO_WIDTH SMALLINT,
  ICO_HEIGHT SMALLINT);


ALTER TABLE WWW_STANY_UMOWNE ADD CONSTRAINT WWW_STANY_UMOWNE_PK PRIMARY KEY (ID);


CREATE INDEX WWW_STANY_UMOWNE_PD_IND ON WWW_STANY_UMOWNE(PROG_DOLNY);

CREATE INDEX WWW_STANY_UMOWNE_PG_IND ON WWW_STANY_UMOWNE(PROG_GORNY);


SET TERM  ^ ;

CREATE TRIGGER WWW_STANY_UMOWNE_BI FOR WWW_STANY_UMOWNE
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_STANY_UMOWNE_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_SPOSOBY_DOSTAWY (
  ID INTEGER NOT NULL,
  NAZWA VARCHAR(30) CHARACTER SET WIN1250 COLLATE WIN1250,
  USLUGA INTEGER DEFAULT NULL,
  DOMYSLNY BOOLEAN_D DEFAULT 0 NOT NULL,
  WYSWIETLAJ BOOLEAN_D DEFAULT 1 NOT NULL,
  OPIS STRING250_D COLLATE WIN1250);


ALTER TABLE WWW_SPOSOBY_DOSTAWY ADD CONSTRAINT WWW_SPOSOBY_DOSTAWY_PK PRIMARY KEY (ID);

ALTER TABLE WWW_SPOSOBY_DOSTAWY ADD CONSTRAINT WWW_SPOSOBY_DOSTAWY_USLUGA_FK FOREIGN KEY (USLUGA) REFERENCES GM_TOWARY(ID) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE INDEX WWW_SPOSOBY_DOSTAWY_NAZWA_IND ON WWW_SPOSOBY_DOSTAWY(NAZWA);

SET TERM  ^ ;

CREATE TRIGGER WWW_SPOSOBY_DOSTAWY_BD0 FOR WWW_SPOSOBY_DOSTAWY
ACTIVE BEFORE DELETE
POSITION 0
AS
begin
  /* Trigger text */
  if  (old.id < 2) then EXCEPTION WWW_SPOSOBY_DOSTAWY_BD_EXC;
end ^

SET TERM ;  ^

SET TERM  ^ ;

CREATE TRIGGER WWW_SPOSOBY_DOSTAWY_BI FOR WWW_SPOSOBY_DOSTAWY
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN NEW.ID = GEN_ID(WWW_SPOSOBY_DOSTAWY_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_SMS_LOG (
  ID INTEGER NOT NULL,
  MODUL VARCHAR(128) CHARACTER SET WIN1250 COLLATE WIN1250,
  NUMER STRING20_D,
  TRESC SMS_TRESC_D,
  WYNIK BLOB SUB_TYPE 1 SEGMENT SIZE 512 CHARACTER SET WIN1250,
  CDATE TIMESTAMP,
  ADRES_IP ADRES_IP_D);


ALTER TABLE WWW_SMS_LOG ADD CONSTRAINT WWW_SMS_LOG_PK PRIMARY KEY (ID);


SET TERM  ^ ;

CREATE TRIGGER WWW_SMS_LOG_BI FOR WWW_SMS_LOG
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_SMS_LOG_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_SEARCH_HISTORY (
  ID INTEGER NOT NULL,
  WORD VARCHAR(84) CHARACTER SET WIN1250 NOT NULL COLLATE PXW_PLK,
  SEARCH_COUNT INTEGER NOT NULL,
  FIRST_SEARCH TIMESTAMP NOT NULL,
  LAST_SEARCH TIMESTAMP NOT NULL,
  SEARCH_RESULT BOOLEAN_D NOT NULL);


ALTER TABLE WWW_SEARCH_HISTORY ADD CONSTRAINT WWW_SEARCH_HISTORY_PK PRIMARY KEY (ID);


CREATE INDEX WWW_SEARCH_HISTORY_DATY_IND ON WWW_SEARCH_HISTORY(FIRST_SEARCH,LAST_SEARCH);

CREATE UNIQUE INDEX WWW_SEARCH_HISTORY_WYRAZ_UK ON WWW_SEARCH_HISTORY(WORD);


SET TERM  ^ ;

CREATE TRIGGER WWW_SEARCH_HISTORY_BI FOR WWW_SEARCH_HISTORY
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_SEARCH_HISTORY_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_REG (
  ID INTEGER NOT NULL,
  GUID CHAR(36) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  IMIE STRING30_D,
  NAZWISKO STRING30_D,
  TELEFON STRING20_D,
  EMAIL STRING30_D,
  HASLO STRING20_D,
  FIRMA BOOLEAN_D NOT NULL,
  FIRMA_NAZWA STRING200_D,
  NIP STRING20_D,
  PLATNIK_VAT BOOLEAN_D NOT NULL,
  CONTACT_ID INTEGER DEFAULT 0,
  KOD STRING10_D,
  MIEJSCOWOSC STRING50_D,
  ULICA STRING50_D,
  DOM STRING10_D,
  LOKAL STRING10_D,
  ZGODA BOOLEAN_D NOT NULL,
  ZASADY BOOLEAN_D NOT NULL,
  ADRES_IP ADRES_IP_D,
  REG_DATE TIMESTAMP);


ALTER TABLE WWW_REG ADD CONSTRAINT WWW_REG_PK PRIMARY KEY (ID);

ALTER TABLE WWW_REG ADD CONSTRAINT WWW_REG_GUID_UK UNIQUE (GUID);


SET TERM  ^ ;

CREATE TRIGGER WWW_REG_BI FOR WWW_REG
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_REG_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_PRZESYLKI (
  ID INTEGER NOT NULL,
  SP_DOST_ID INTEGER NOT NULL,
  NUM SMALLINT NOT NULL,
  NAZWA VARCHAR(25) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  KOSZT CENA_D NOT NULL,
  GRATIS_KWOTA CENAN_D NOT NULL,
  POBRANIE BOOLEAN_D NOT NULL,
  POBRANIE_KOSZT CENA_D NOT NULL,
  OPIS STRING250_D);


ALTER TABLE WWW_PRZESYLKI ADD CONSTRAINT WWW_PRZESYLKI_PK PRIMARY KEY (ID);

ALTER TABLE WWW_PRZESYLKI ADD CONSTRAINT WWW_PRZESYLKI_SP_DOST_FK FOREIGN KEY (SP_DOST_ID) REFERENCES WWW_SPOSOBY_DOSTAWY(ID) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE INDEX WWW_PRZESYLKI_NAZWA_IND ON WWW_PRZESYLKI(NAZWA);

SET TERM  ^ ;

CREATE TRIGGER WWW_PRZESYLKI_BI FOR WWW_PRZESYLKI
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_PRZESYLKI_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_PRZESYLKI_OPCJE (
  PRZESYLKA_ID INTEGER NOT NULL,
  NUM SMALLINT NOT NULL,
  GRUPA STRING10_D,
  NAZWA STRING30_D NOT NULL,
  KOSZT CENAN_D NOT NULL,
  OPIS STRING250_D);


ALTER TABLE WWW_PRZESYLKI_OPCJE ADD CONSTRAINT WWW_PRZESYLKIO_PRZESYL_FK FOREIGN KEY (PRZESYLKA_ID) REFERENCES WWW_PRZESYLKI(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_PRZESYLKI_OPCJE ADD CONSTRAINT WWW_PRZESYLKIO_PRZESYL_NUM_UNQ UNIQUE (PRZESYLKA_ID,NUM);


CREATE INDEX WWW_PRZESYLKIO_NAZWA_IND ON WWW_PRZESYLKI_OPCJE(NAZWA);


CREATE TABLE WWW_PRZESYLKI_KOSZTY (
  PRZESYLKA_ID INTEGER NOT NULL,
  NUM SMALLINT NOT NULL,
  WAGA_OD INTEGER NOT NULL,
  WAGA_DO INTEGER NOT NULL,
  KOSZT CENAN_D NOT NULL);


ALTER TABLE WWW_PRZESYLKI_KOSZTY ADD CONSTRAINT WWW_PRZESYLKIK_PRZESYL_FK FOREIGN KEY (PRZESYLKA_ID) REFERENCES WWW_PRZESYLKI(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_PRZESYLKI_KOSZTY ADD CONSTRAINT WWW_PRZESYLKI_KOSZTY_UNQ UNIQUE (PRZESYLKA_ID,NUM);

CREATE INDEX WWW_PRZESYLKIK_WAGA_DO_IND ON WWW_PRZESYLKI_KOSZTY(WAGA_DO);

CREATE INDEX WWW_PRZESYLKIK_WAGA_OD_IND ON WWW_PRZESYLKI_KOSZTY(WAGA_OD);


CREATE TABLE WWW_PROFILE (
  ID INTEGER NOT NULL,
  NAZWA STRING80_D NOT NULL,
  MANAGER BOOLEAN_D NOT NULL,
  AKWIZYTORZY BLOB SUB_TYPE 1 SEGMENT SIZE 256 CHARACTER SET WIN1250,
  GRUPAK_ID INTEGER,
  GRUPAK_EXT_ID INTEGER,
  UWAGI BLOB SUB_TYPE 1 SEGMENT SIZE 512 CHARACTER SET WIN1250,
  C_DATE DATA_TIME_D NOT NULL,
  M_DATE DATA_TIME_D NOT NULL,
  C_IDENT WWW_IDENT_D NOT NULL,
  M_IDENT WWW_IDENT_D NOT NULL);


ALTER TABLE WWW_PROFILE ADD CONSTRAINT WWW_PROFILE_PK PRIMARY KEY (ID);

ALTER TABLE WWW_PROFILE ADD CONSTRAINT WWW_PROFILE_GRUPAK_EXT_ID_FK FOREIGN KEY (GRUPAK_EXT_ID) REFERENCES R3_CONTACT_EXT_GROUPS(ID) ON DELETE SET NULL ON UPDATE CASCADE;

ALTER TABLE WWW_PROFILE ADD CONSTRAINT WWW_PROFILE_GRUPAK_ID_FK FOREIGN KEY (GRUPAK_ID) REFERENCES R3_CONTACT_GROUPS(ID) ON DELETE SET NULL ON UPDATE CASCADE;


CREATE INDEX WWW_PROFILE_CMIDENT_IND ON WWW_PROFILE(C_IDENT,M_IDENT);

CREATE INDEX WWW_PROFILE_DATY_IND ON WWW_PROFILE(C_DATE,M_DATE);

CREATE UNIQUE INDEX WWW_PROFILE_NAZWA_IND ON WWW_PROFILE(NAZWA);


CREATE TABLE WWW_USERS (
  ID INTEGER NOT NULL,
  HASLO VARCHAR(30) CHARACTER SET WIN1250 COLLATE WIN1250,
  LOGIN VARCHAR(60) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  CONTACT_ID INTEGER NOT NULL,
  PERSON_ID SMALLINT,
  PRACOWNIK_ID INTEGER DEFAULT 0,
  AD_USER_ID INTEGER DEFAULT 0,
  OPERATOR_NAZWA STRING15_D,
  MALPKA BOOLEAN_D DEFAULT 0 NOT NULL,
  TYP KONTO_WWW_TYP_D DEFAULT 0 NOT NULL,
  PRAWA SMALLINT,
  REG_DATE TIMESTAMP,
  LAST_LOGIN_DATE TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
  LAST_LOGIN_FROM STRING60_D,
  WYLACZONE BOOLEAN_D DEFAULT 0 NOT NULL,
  POWOD_WYLACZENIA STRING250_D,
  NEWSLETTER BOOLEAN_D NOT NULL,
  LICZBA_LOGOWAN INTEGER DEFAULT 0,
  FIRMA BOOLEAN_D DEFAULT 0 NOT NULL,
  PROFIL_ID INTEGER);


ALTER TABLE WWW_USERS ADD CONSTRAINT WWW_USERS_PK PRIMARY KEY (ID);

ALTER TABLE WWW_USERS ADD CONSTRAINT WWW_USERS_CONTACT_ID_FK FOREIGN KEY (CONTACT_ID) REFERENCES R3_CONTACTS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_USERS ADD CONSTRAINT WWW_USERS_PERSON_ID_FK FOREIGN KEY (PERSON_ID) REFERENCES R3_PERSONS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_USERS ADD CONSTRAINT WWW_USERS_PRACOWNIK_ID_FK FOREIGN KEY (PRACOWNIK_ID) REFERENCES R3_CONTACTS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_USERS ADD CONSTRAINT WWW_USERS_PROFIL_ID_FK FOREIGN KEY (PROFIL_ID) REFERENCES WWW_PROFILE(ID) ON DELETE SET NULL ON UPDATE CASCADE;

ALTER TABLE WWW_USERS ADD CONSTRAINT WWW_USERS_LOGIN_UK UNIQUE (LOGIN);


CREATE INDEX WWW_USERS_AD_USER_ID_IND ON WWW_USERS(AD_USER_ID);

CREATE INDEX WWW_USERS_DATY_IND ON WWW_USERS(REG_DATE,LAST_LOGIN_DATE,LAST_LOGIN_FROM);

CREATE INDEX WWW_USERS_LOGIN_IND ON WWW_USERS(LOGIN);

CREATE INDEX WWW_USERS_NEWSLETTER_IND ON WWW_USERS(NEWSLETTER);

CREATE INDEX WWW_USERS_OP_NAZWA_IND ON WWW_USERS(OPERATOR_NAZWA);

CREATE INDEX WWW_USERS_TYP_IND ON WWW_USERS(TYP);

SET TERM  ^ ;

CREATE TRIGGER WWW_USERS_BI0 FOR WWW_USERS
ACTIVE BEFORE INSERT
POSITION 0
AS
begin
  /* Trigger text */
  if(new.id is NULL) then new.id = gen_id(WWW_USERS_ID_GEN, 1);
end ^

SET TERM ;  ^


CREATE TABLE WWW_ZK (
  ID INTEGER NOT NULL,
  USER_ID INTEGER,
  PLATNOSC_TYP INTEGER NOT NULL,
  PLATNOSC_KANAL VARCHAR(4) CHARACTER SET WIN1250 COLLATE WIN1250,
  PLATNOSC_STATUS INTEGER,
  PAYBACK_LOGIN VARCHAR(64) CHARACTER SET WIN1250 COLLATE WIN1250,
  ADRES_IP ADRES_IP_D,
  TASK_ID INTEGER,
  ALARM_ID INTEGER,
  PLATNOSC_DATA TIMESTAMP,
  PLATNOSC_INFO BLOB SUB_TYPE 2 SEGMENT SIZE 512,
  PLATNIK_ID INTEGER,
  ODBIORCA_ID INTEGER,
  CONTACT_ID INTEGER,
  WEJSCIE_ID INTEGER,
  AUKCJA_UID INTEGER,
  AUKCJA_NUMER INTEGER,
  PARTNER_ID INTEGER,
  TEL STRING20_D COLLATE WIN1250,
  EMAIL ADRES_EMAIL_D);


ALTER TABLE WWW_ZK ADD CONSTRAINT WWW_ZK_ALARM_ID_FK FOREIGN KEY (ALARM_ID) REFERENCES R3_ALARMY(ID) ON DELETE SET NULL ON UPDATE CASCADE;

ALTER TABLE WWW_ZK ADD CONSTRAINT WWW_ZK_CONTACT_ID_FK FOREIGN KEY (CONTACT_ID) REFERENCES R3_CONTACTS(ID) ON DELETE SET NULL ON UPDATE SET NULL;

ALTER TABLE WWW_ZK ADD CONSTRAINT WWW_ZK_ID_FK FOREIGN KEY (ID) REFERENCES GM_ZK(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_ZK ADD CONSTRAINT WWW_ZK_ODBIORCA_ID_FK FOREIGN KEY (ODBIORCA_ID) REFERENCES R3_CONTACTS(ID) ON DELETE SET NULL ON UPDATE SET NULL;

ALTER TABLE WWW_ZK ADD CONSTRAINT WWW_ZK_PLATNIK_ID_FK FOREIGN KEY (PLATNIK_ID) REFERENCES R3_CONTACTS(ID) ON DELETE SET NULL ON UPDATE SET NULL;

ALTER TABLE WWW_ZK ADD CONSTRAINT WWW_ZK_TASK_ID_FK FOREIGN KEY (TASK_ID) REFERENCES CRM_TASKS(ID) ON DELETE SET NULL ON UPDATE SET NULL;

ALTER TABLE WWW_ZK ADD CONSTRAINT WWW_ZK_USER_ID_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE SET NULL ON UPDATE SET NULL;

CREATE INDEX WWW_ZK_AUKCJA_IND ON WWW_ZK(AUKCJA_NUMER,AUKCJA_UID);

CREATE UNIQUE INDEX WWW_ZK_ID_UNQ ON WWW_ZK(ID);

CREATE INDEX WWW_ZK_USER_ID ON WWW_ZK(USER_ID);


CREATE TABLE WWW_ZAL_POBRANIA (
  ZAL_ID INTEGER NOT NULL,
  USER_ID INTEGER,
  KIEDY TIMESTAMP NOT NULL);


ALTER TABLE WWW_ZAL_POBRANIA ADD CONSTRAINT WWW_ZAL_POBRANIA_USER_ID_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE SET NULL ON UPDATE SET NULL;


CREATE INDEX WWW_ZAL_POBRANIA_KIEDY_IND ON WWW_ZAL_POBRANIA(KIEDY);

CREATE INDEX WWW_ZAL_POBRANIA_ZAL_ID_IND ON WWW_ZAL_POBRANIA(ZAL_ID);


CREATE TABLE WWW_HIST_LOGOWANIA (
  ID INTEGER NOT NULL,
  USER_ID INTEGER NOT NULL,
  ADRES_IP ADRES_IP_D NOT NULL,
  NAZWA_HOSTA VARCHAR(250) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  CZAS_LOGOWANIA TIMESTAMP NOT NULL,
  CZAS_WYLOGOWANIA TIMESTAMP DEFAULT NULL,
  BLAD BOOLEAN_D NOT NULL,
  BLEDNE_HASLO VARCHAR(30) CHARACTER SET WIN1250 COLLATE PXW_PLK);


ALTER TABLE WWW_HIST_LOGOWANIA ADD CONSTRAINT WWW_HIST_LOGOWANIA_PK PRIMARY KEY (ID);

ALTER TABLE WWW_HIST_LOGOWANIA ADD CONSTRAINT WWW_HIST_LOGOWANIA_USER_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE INDEX WWW_HIST_LOGOWANIA_CZASY_IND ON WWW_HIST_LOGOWANIA(CZAS_LOGOWANIA,CZAS_WYLOGOWANIA,BLAD);

CREATE INDEX WWW_HIST_LOGOWANIA_HOST_IND ON WWW_HIST_LOGOWANIA(NAZWA_HOSTA);

CREATE INDEX WWW_HIST_LOGOWANIA_IP_IND ON WWW_HIST_LOGOWANIA(ADRES_IP);


SET TERM  ^ ;

CREATE TRIGGER WWW_HIST_LOGOWANIA_BI FOR WWW_HIST_LOGOWANIA
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_HIST_LOGOWANIA_ID_GEN,1);
END ^

SET TERM ;  ^




CREATE TABLE WWW_ONLINE (
  USER_ID INTEGER DEFAULT 0 NOT NULL,
  SESSION_ID CHAR(32) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  FIRST_VISIT TIMESTAMP,
  LAST_ACTIVE TIMESTAMP,
  ADRES_IP ADRES_IP_D,
  USER_AGENT VARCHAR(200) CHARACTER SET WIN1250 COLLATE WIN1250,
  WEJSCIE_ID INTEGER);


ALTER TABLE WWW_ONLINE ADD CONSTRAINT WWW_ONLINE_USER_ID_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_ONLINE ADD CONSTRAINT WWW_ONLINE_SESSION_ID_UNQ UNIQUE (SESSION_ID);


CREATE INDEX WWW_ONLINE_ADRES_IP_IND ON WWW_ONLINE(ADRES_IP);

CREATE INDEX WWW_ONLINE_LAST_ACTIVE_IND ON WWW_ONLINE(LAST_ACTIVE);


SET TERM  ^ ;

CREATE TRIGGER WWW_ONLINE_AD0 FOR WWW_ONLINE
ACTIVE AFTER DELETE
POSITION 0
AS
declare variable HIST_LOG_ID Integer;
begin
  /* Trigger text */
  SELECT FIRST 1 SKIP 0 ID from WWW_HIST_LOGOWANIA WHERE USER_ID = OLD.USER_ID AND BLAD = 0 AND CZAS_WYLOGOWANIA IS NULL ORDER BY CZAS_LOGOWANIA INTO :HIST_LOG_ID;

  if (:HIST_LOG_ID > 0 ) then begin
        UPDATE WWW_HIST_LOGOWANIA SET CZAS_WYLOGOWANIA = OLD.LAST_ACTIVE WHERE ID = :HIST_LOG_ID;
  end
end ^

SET TERM ;  ^



CREATE TABLE WWW_WEJSCIA (
  ID INTEGER NOT NULL,
  SESSION_ID CHAR(32) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  USER_ID INTEGER,
  CONTACT_ID INTEGER,
  HOST VARCHAR(128) CHARACTER SET WIN1250 COLLATE WIN1250,
  URL STRING1024_D NOT NULL,
  ADRES_IP ADRES_IP_D,
  PRZEGLADARKA VARCHAR(200) CHARACTER SET WIN1250 COLLATE WIN1250,
  CZAS_WEJSCIA TIMESTAMP NOT NULL,
  ZK BOOLEAN_D NOT NULL,
  REQUEST_URL STRING1024_D COLLATE WIN1250);


ALTER TABLE WWW_WEJSCIA ADD CONSTRAINT WWW_WEJSCIA_PK PRIMARY KEY (ID);

ALTER TABLE WWW_WEJSCIA ADD CONSTRAINT WWW_WEJSCIA_CONTACT_ID FOREIGN KEY (CONTACT_ID) REFERENCES R3_CONTACTS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_WEJSCIA ADD CONSTRAINT WWW_WEJSCIA_USER_ID_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE SET NULL ON UPDATE CASCADE;


CREATE INDEX WWW_WEJSCIA_ADRES_IP ON WWW_WEJSCIA(ADRES_IP);

CREATE INDEX WWW_WEJSCIA_CZAS_WEJSCIA_IND ON WWW_WEJSCIA(CZAS_WEJSCIA);

CREATE INDEX WWW_WEJSCIA_HOST_IND ON WWW_WEJSCIA(HOST,ZK);

CREATE INDEX WWW_WEJSCIA_PRZEGLDARKA_IND ON WWW_WEJSCIA(PRZEGLADARKA);

CREATE INDEX WWW_WEJSCIA_SESSION_ID_IND ON WWW_WEJSCIA(SESSION_ID);

CREATE INDEX WWW_WEJSCIA_ZK_IND ON WWW_WEJSCIA(ZK);


SET TERM  ^ ;

CREATE TRIGGER WWW_WEJSCIA_AI0 FOR WWW_WEJSCIA
ACTIVE AFTER INSERT
POSITION 0
AS
begin
  /* Trigger text */
  UPDATE WWW_ONLINE SET WEJSCIE_ID = NEW.ID WHERE SESSION_ID = NEW.SESSION_ID;
end ^

SET TERM ;  ^


CREATE TABLE WWW_USERS_CONFIG (
  USER_ID INTEGER,
  MAGAZYN_ID INTEGER,
  STAN_TOWARU_MAG BOOLEAN_D NOT NULL,
  NA_STRONIE INTEGER,
  SZABLON STRING200_D);


ALTER TABLE WWW_USERS_CONFIG ADD CONSTRAINT WWW_USERS_CONFIG_USER_ID_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE TABLE WWW_PRIVS (
  USER_ID INTEGER,
  PROFIL_ID INTEGER,
  DOC_ID INTEGER,
  AKCJA VARCHAR(16) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  PRIVS VARCHAR(8) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  WIDOK SMALLINT NOT NULL,
  C_DATE DATA_TIME_D NOT NULL,
  M_DATE DATA_TIME_D);


ALTER TABLE WWW_PRIVS ADD CONSTRAINT WWW_PRIVS_PROFIL_ID_FK FOREIGN KEY (PROFIL_ID) REFERENCES WWW_PROFILE(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_PRIVS ADD CONSTRAINT WWW_PRIVS_USER_ID_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_PRIVS ADD CONSTRAINT WWW_PRIVS_UNQ UNIQUE (USER_ID,PROFIL_ID,DOC_ID,AKCJA);


CREATE INDEX WWW_PRIVS_DATY_IND ON WWW_PRIVS(C_DATE,M_DATE);

CREATE INDEX WWW_PRIVS_DOC_ID_IND ON WWW_PRIVS(DOC_ID);

CREATE INDEX WWW_PRIVS_PRIVS_IND ON WWW_PRIVS(PRIVS);


CREATE TABLE WWW_POWIADOMIENIA (
  ID INTEGER NOT NULL,
  MAGAZYN_ID INTEGER DEFAULT 0,
  "EVENT" SMALLINT DEFAULT 0 NOT NULL,
  TYP INTEGER DEFAULT 0 NOT NULL,
  ADRES STRING100_D COLLATE WIN1250,
  CALENDAR_ID INTEGER DEFAULT 0,
  MODUL SMALLINT DEFAULT -1);


ALTER TABLE WWW_POWIADOMIENIA ADD CONSTRAINT WWW_POWIADOMIENIA_ID_PK PRIMARY KEY (ID);

ALTER TABLE WWW_POWIADOMIENIA ADD CONSTRAINT WWW_POWIADOMIENIA_CALENDAR_FK FOREIGN KEY (CALENDAR_ID) REFERENCES CRM_CALENDARS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

CREATE INDEX WWW_POWIADOMIENIA_MAIN_IND ON WWW_POWIADOMIENIA(ADRES,"EVENT",TYP);


SET TERM  ^ ;

CREATE TRIGGER WWW_POWIADOMIENIA_BI FOR WWW_POWIADOMIENIA
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_POWIADOMIENIA_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_PARAM_WART (
  ID INTEGER NOT NULL,
  PARAM_ID INTEGER DEFAULT 0,
  WARTOSC STRING80_D NOT NULL);


ALTER TABLE WWW_PARAM_WART ADD CONSTRAINT WWW_PARAM_WART_PK PRIMARY KEY (ID);


SET TERM  ^ ;

CREATE TRIGGER WWW_PARAM_WART_BI FOR WWW_PARAM_WART
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_PARAM_WART_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_PARAM_GRUPY (
  ID INTEGER NOT NULL,
  NAZWA STRING60_D);


ALTER TABLE WWW_PARAM_GRUPY ADD CONSTRAINT WWW_PARAM_GRUPY_PK PRIMARY KEY (ID);


SET TERM  ^ ;

CREATE TRIGGER WWW_PARAM_GRUPY_BI FOR WWW_PARAM_GRUPY
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_PARAM_GRUPY_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_PARAMETRY (
  ID INTEGER NOT NULL,
  GRUPA_ID INTEGER,
  NAZWA STRING200_D,
  UKRYJ BOOLEAN_D DEFAULT 0 NOT NULL,
  TYP SMALLINT,
  LP SMALLINT,
  CDATE DATA_TIME_D,
  MDATE DATA_TIME_D);


ALTER TABLE WWW_PARAMETRY ADD CONSTRAINT WWW_PARAMETRY_PK PRIMARY KEY (ID);

SET TERM  ^ ;

CREATE TRIGGER WWW_PARAMETRY_BI FOR WWW_PARAMETRY
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_PARAMETRY_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_TOWARY_PARAMS (
  TOWAR_ID INTEGER NOT NULL,
  PARAM_ID INTEGER NOT NULL,
  WART_ID INTEGER NOT NULL,
  LP SMALLINT);


ALTER TABLE WWW_TOWARY_PARAMS ADD CONSTRAINT WWW_TOWARY_PARAMS_PARAM_FK FOREIGN KEY (PARAM_ID) REFERENCES WWW_PARAMETRY(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_TOWARY_PARAMS ADD CONSTRAINT WWW_TOWARY_PARAMS_TOWAR_FK FOREIGN KEY (TOWAR_ID) REFERENCES GM_TOWARY(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_TOWARY_PARAMS ADD CONSTRAINT WWW_TOWARY_PARAMS_UNQ UNIQUE (TOWAR_ID,PARAM_ID,WART_ID);

CREATE INDEX WWW_TOWARY_PARAMS_PWART_IND ON WWW_TOWARY_PARAMS(WART_ID);




CREATE TABLE WWW_OFERTY (
  ID INTEGER NOT NULL,
  FORMAT STRING20_D,
  NAZWA VARCHAR(128) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  KODOWANIE STRING20_D NOT NULL,
  BRANZA STRING30_D NOT NULL,
  RODZAJ STRING10_D NOT NULL,
  CENA_ID INTEGER,
  USE_CACHE BOOLEAN_D NOT NULL,
  CACHE_PERIOD INTEGER,
  GRUPA_ID INTEGER,
  CENNIKI BLOB SUB_TYPE 2 SEGMENT SIZE 512,
  ATRYBUTY BLOB SUB_TYPE 2 SEGMENT SIZE 512 NOT NULL,
  DANE BLOB SUB_TYPE 2 SEGMENT SIZE 512,
  UWAGI VARCHAR(512) CHARACTER SET WIN1250 COLLATE WIN1250,
  CDATE TIMESTAMP NOT NULL,
  MDATE TIMESTAMP NOT NULL,
  REQ_PARAM INTEGER,
  MAGAZYNY BLOB SUB_TYPE 2 SEGMENT SIZE 256,
  STAN_TOWARU SMALLINT,
  DOSTEPNOSC SMALLINT);


ALTER TABLE WWW_OFERTY ADD CONSTRAINT WWW_OFERTY_PK PRIMARY KEY (ID);

ALTER TABLE WWW_OFERTY ADD CONSTRAINT WWW_OFERTY_CENA_ID_FK FOREIGN KEY (CENA_ID) REFERENCES GM_CENY(ID) ON DELETE SET NULL ON UPDATE CASCADE;

ALTER TABLE WWW_OFERTY ADD CONSTRAINT WWW_OFERTY_REQ_PARAM_FK FOREIGN KEY (REQ_PARAM) REFERENCES WWW_PARAMETRY(ID) ON DELETE SET NULL ON UPDATE CASCADE;

CREATE INDEX WWW_OFERTY_DATY_IND ON WWW_OFERTY(CDATE,MDATE);

CREATE UNIQUE INDEX WWW_OFERTY_NAZWA_IND ON WWW_OFERTY(FORMAT,NAZWA);


SET TERM  ^ ;

CREATE TRIGGER WWW_OFERTY_BI FOR WWW_OFERTY
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_OFERTY_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_NEWS (
  ID INTEGER NOT NULL,
  TYTUL VARCHAR(250) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  WYSWIETL BOOLEAN_D NOT NULL,
  DATA_DO DATE,
  DATA_OD DATE,
  WSTEP BLOB SUB_TYPE 1 SEGMENT SIZE 512 CHARACTER SET WIN1250,
  TRESC BLOB SUB_TYPE 1 SEGMENT SIZE 1024 CHARACTER SET WIN1250,
  CDATE TIMESTAMP NOT NULL,
  MDATE TIMESTAMP NOT NULL);


ALTER TABLE WWW_NEWS ADD CONSTRAINT WWW_NEWS_PK PRIMARY KEY (ID);


CREATE INDEX WWW_NEWS_DATY_IND ON WWW_NEWS(CDATE,MDATE);

CREATE INDEX WWW_NEWS_SERACH_IND ON WWW_NEWS(WYSWIETL,DATA_DO,DATA_OD);

CREATE INDEX WWW_NEWS_TYTUL_IND ON WWW_NEWS(TYTUL);


SET TERM  ^ ;

CREATE TRIGGER WWW_NEWS_BI FOR WWW_NEWS
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_NEWS_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_LOG (
  ID INTEGER NOT NULL,
  NUMER INTEGER,
  SCIEZKA VARCHAR(1024) CHARACTER SET WIN1250 COLLATE WIN1250,
  PLIK VARCHAR(128) CHARACTER SET WIN1250 COLLATE WIN1250,
  LINIA INTEGER,
  STR VARCHAR(512) CHARACTER SET WIN1250 COLLATE WIN1250,
  OPIS BLOB SUB_TYPE 1 CHARACTER SET WIN1250,
  DATA TIMESTAMP,
  ADRES_IP ADRES_IP_D,
  USER_ID INTEGER);


ALTER TABLE WWW_LOG ADD CONSTRAINT WWW_LOG_PK PRIMARY KEY (ID);


CREATE INDEX WWW_LOG_ADRES_IP_IND ON WWW_LOG(ADRES_IP);

CREATE INDEX WWW_LOG_DATA_IND ON WWW_LOG(DATA);

CREATE INDEX WWW_LOG_NUMER_IND ON WWW_LOG(NUMER);

CREATE INDEX WWW_LOG_PLIK_IND ON WWW_LOG(PLIK);


SET TERM  ^ ;

CREATE TRIGGER WWW_LOG_BI FOR WWW_LOG
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_LOG_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_KOSZYK (
  ID INTEGER NOT NULL,
  USER_ID INTEGER,
  NAZWA VARCHAR(16) CHARACTER SET WIN1250 COLLATE WIN1250,
  DOMYSLNY BOOLEAN_D NOT NULL,
  CDATE TIMESTAMP,
  MDATE TIMESTAMP,
  CONTACT_ID INTEGER,
  ODBIORCA_ID INTEGER,
  PLATNIK_ID INTEGER,
  CENA_ID INTEGER,
  WALUTA INTEGER,
  RABAT_ID INTEGER,
  RABAT PROCENT_D);


ALTER TABLE WWW_KOSZYK ADD CONSTRAINT WWW_KOSZYK_PK PRIMARY KEY (ID);

ALTER TABLE WWW_KOSZYK ADD CONSTRAINT WWW_KOSZYK_USER_ID_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE INDEX WWW_KOSZYK_DATY_IND ON WWW_KOSZYK(CDATE,MDATE);

CREATE INDEX WWW_KOSZYK_DOMYSLNY_IND ON WWW_KOSZYK(DOMYSLNY);

CREATE INDEX WWW_KOSZYK_NAZWA_IND ON WWW_KOSZYK(NAZWA);

CREATE UNIQUE INDEX WWW_KOSZYK_USER_NAZWA_UK ON WWW_KOSZYK(USER_ID,NAZWA);

SET TERM  ^ ;

CREATE TRIGGER WWW_KOSZYK_AI0 FOR WWW_KOSZYK
ACTIVE AFTER INSERT
POSITION 0
AS
begin
/* Trigger text */
    if( NEW.domyslny = 1 ) then begin
        UPDATE WWW_KOSZYK SET DOMYSLNY = 0 WHERE USER_ID = NEW.USER_ID AND ID != NEW.ID;
    end
end ^

SET TERM ;  ^

SET TERM  ^ ;

CREATE TRIGGER WWW_KOSZYK_AU0 FOR WWW_KOSZYK
ACTIVE AFTER UPDATE
POSITION 0
AS
begin
/* Trigger text */
    if( NEW.domyslny = 1 ) then begin
        UPDATE WWW_KOSZYK SET DOMYSLNY = 0 WHERE USER_ID = NEW.USER_ID AND ID != NEW.ID;
    end
end ^

SET TERM ;  ^


CREATE TABLE WWW_KOSZYK_POZ (
  KOSZYK_ID INTEGER NOT NULL,
  TOWAR_ID INTEGER NOT NULL,
  ILOSC ILOSC_D NOT NULL,
  OPK_ID INTEGER,
  OPK_ILOSC ILOSC_D NOT NULL,
  CENA_ID SMALLINT,
  WALUTA INTEGER,
  CENA WARTOSC_D NOT NULL,
  CENAB WARTOSC_D DEFAULT 0 NOT NULL,
  CENA_WAL CENA_D NOT NULL,
  CENAB_WAL CENA_D NOT NULL,
  RABAT_ID INTEGER,
  RABAT SMALLINT,
  UWAGI BLOB SUB_TYPE 2);


ALTER TABLE WWW_KOSZYK_POZ ADD CONSTRAINT WWW_KOSZYK_POZ_PK PRIMARY KEY (KOSZYK_ID,TOWAR_ID);

ALTER TABLE WWW_KOSZYK_POZ ADD CONSTRAINT WWW_KOSZYK_KOSZYK_ID_FK FOREIGN KEY (KOSZYK_ID) REFERENCES WWW_KOSZYK(ID) ON DELETE CASCADE;


CREATE TABLE WWW_KOMENTARZE (
  ID INTEGER NOT NULL,
  TOWAR_ID INTEGER,
  TOWAR_NAZWA VARCHAR(250) CHARACTER SET WIN1250 COLLATE WIN1250,
  TOWAR_SKROT VARCHAR(25) CHARACTER SET WIN1250 COLLATE WIN1250,
  USER_ID INTEGER,
  USER_NAME VARCHAR(50) CHARACTER SET WIN1250 COLLATE WIN1250,
  TRESC BLOB SUB_TYPE 1 SEGMENT SIZE 512 CHARACTER SET WIN1250,
  OCENA SMALLINT,
  DATA DATE,
  ADRES_IP ADRES_IP_D);


ALTER TABLE WWW_KOMENTARZE ADD CONSTRAINT WWW_KOMENTARZE_PK PRIMARY KEY (ID);

ALTER TABLE WWW_KOMENTARZE ADD CONSTRAINT WWW_KOMENTARZE_USER_ID_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE INDEX WWW_KOMENTARZE_ADRES_IP_IND ON WWW_KOMENTARZE(ADRES_IP);

CREATE INDEX WWW_KOMENTARZE_DATA_IND ON WWW_KOMENTARZE(DATA);

CREATE INDEX WWW_KOMENTARZE_OCENA_IND ON WWW_KOMENTARZE(OCENA);


CREATE TABLE WWW_IP (
  ID INTEGER NOT NULL,
  ADRES_IP ADRES_IP_D NOT NULL,
  ADMIN_DOSTEP BOOLEAN_D NOT NULL,
  WWW_BLOKADA BOOLEAN_D NOT NULL,
  CDATE TIMESTAMP,
  MDATE TIMESTAMP);


ALTER TABLE WWW_IP ADD CONSTRAINT WWW_IP_PK PRIMARY KEY (ID);

ALTER TABLE WWW_IP ADD CONSTRAINT WWW_IP_ADRES_IP_UNQ UNIQUE (ADRES_IP);


SET TERM  ^ ;

CREATE TRIGGER WWW_IP_BI FOR WWW_IP
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_IP_ID_GEN,1);
END ^

SET TERM ;  ^




CREATE TABLE WWW_GRUPYT_SERWISY (
  GRUPA_ID INTEGER NOT NULL,
  EXT BOOLEAN_D NOT NULL,
  SERWIS VARCHAR(32) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  SERWIS_GRUPA INTEGER NOT NULL);


ALTER TABLE WWW_GRUPYT_SERWISY ADD CONSTRAINT WWW_GRUPYT_SERWISY_UNQ UNIQUE (GRUPA_ID,EXT,SERWIS);


CREATE INDEX WWW_GRUPYT_SERWISY_GRUPA_IND ON WWW_GRUPYT_SERWISY(GRUPA_ID,EXT);

CREATE INDEX WWW_GRUPYT_SERWISY_SERWIS_IND ON WWW_GRUPYT_SERWISY(SERWIS,SERWIS_GRUPA);


CREATE TABLE WWW_GRUPYT_EXT (
  ID INTEGER NOT NULL,
  ID_PARENT INTEGER,
  NAZWA VARCHAR(50) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  IMAGE BOOLEAN_D NOT NULL,
  IMG VARCHAR(250) CHARACTER SET WIN1250 COLLATE WIN1250,
  OPIS BLOB SUB_TYPE 2 SEGMENT SIZE 512,
  PHOTO_FILE VARCHAR(250) CHARACTER SET WIN1250 COLLATE WIN1250,
  PHOTO BOOLEAN_D NOT NULL);


ALTER TABLE WWW_GRUPYT_EXT ADD CONSTRAINT WWW_GRUPYT_EXT_PK PRIMARY KEY (ID);

ALTER TABLE WWW_GRUPYT_EXT ADD CONSTRAINT WWW_GRUPYT_EXT_ID_FK FOREIGN KEY (ID) REFERENCES GM_GRUPYT_EXT(ID) ON DELETE CASCADE ON UPDATE CASCADE;

CREATE INDEX WWW_GRUPYT_EXT_ID_PARENT_IND ON WWW_GRUPYT_EXT(ID_PARENT);

CREATE INDEX WWW_GRUPYT_EXT_NAZWA_IND ON WWW_GRUPYT_EXT(NAZWA);


CREATE TABLE WWW_GRUPYT (
  ID INTEGER NOT NULL,
  ID_PARENT INTEGER,
  NAZWA VARCHAR(50) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  IMAGE BOOLEAN_D NOT NULL,
  IMG VARCHAR(250) CHARACTER SET WIN1250 COLLATE WIN1250,
  OPIS BLOB SUB_TYPE 2 SEGMENT SIZE 512,
  PHOTO_FILE VARCHAR(250) CHARACTER SET WIN1250 COLLATE WIN1250,
  PHOTO BOOLEAN_D NOT NULL);


ALTER TABLE WWW_GRUPYT ADD CONSTRAINT WWW_GRUPYT_PK PRIMARY KEY (ID);

ALTER TABLE WWW_GRUPYT ADD CONSTRAINT WWW_GRUPYT_ID_FK FOREIGN KEY (ID) REFERENCES GM_GRUPYT(ID) ON DELETE CASCADE ON UPDATE CASCADE;

CREATE INDEX WWW_GRUPYT_ID_PARENT_IND ON WWW_GRUPYT(ID_PARENT);

CREATE INDEX WWW_GRUPYT_NAZWA_IND ON WWW_GRUPYT(NAZWA);


CREATE TABLE WWW_FAV (
  ID INTEGER NOT NULL,
  USER_ID INTEGER NOT NULL,
  NAZWA VARCHAR(50) CHARACTER SET WIN1250 COLLATE WIN1250,
  ILOSC_POZ SMALLINT DEFAULT 0,
  DOMYSLNY BOOLEAN_D DEFAULT 0 NOT NULL,
  CDATE TIMESTAMP,
  MDATE TIMESTAMP);


ALTER TABLE WWW_FAV ADD CONSTRAINT WWW_FAV_PK PRIMARY KEY (ID);

ALTER TABLE WWW_FAV ADD CONSTRAINT WWW_FAV_USER_ID_FK FOREIGN KEY (USER_ID) REFERENCES WWW_USERS(ID) ON DELETE CASCADE;


CREATE INDEX WWW_FAV_NAZWA_IND ON WWW_FAV(NAZWA);

SET TERM  ^ ;

CREATE TRIGGER WWW_FAV_AI0 FOR WWW_FAV
ACTIVE AFTER INSERT
POSITION 0
AS
begin
     if( NEW.domyslny = 1 ) then begin
        UPDATE WWW_FAV SET DOMYSLNY = 0 WHERE USER_ID = NEW.USER_ID AND ID != NEW.ID;
    end
end ^

SET TERM ;  ^

SET TERM  ^ ;

CREATE TRIGGER WWW_FAV_AU0 FOR WWW_FAV
ACTIVE AFTER UPDATE
POSITION 0
AS
begin
  if( NEW.domyslny = 1 ) then begin
        UPDATE WWW_FAV SET DOMYSLNY = 0 WHERE USER_ID = NEW.USER_ID AND ID != NEW.ID;
  end
end ^

SET TERM ;  ^


CREATE TABLE WWW_FAV_POZ (
  FAV_ID INTEGER NOT NULL,
  TOWAR_ID INTEGER NOT NULL,
  TOWAR_NAZWA NAZWA_D NOT NULL COLLATE WIN1250,
  INFO_CENA BOOLEAN_D NOT NULL,
  INFO_STAN BOOLEAN_D NOT NULL,
  INFO_EMAIL BOOLEAN_D NOT NULL,
  INFO_SMS BOOLEAN_D NOT NULL,
  CDATE TIMESTAMP,
  MDATE TIMESTAMP);


ALTER TABLE WWW_FAV_POZ ADD CONSTRAINT WWW_FAV_POZ_PK PRIMARY KEY (FAV_ID,TOWAR_ID);

ALTER TABLE WWW_FAV_POZ ADD CONSTRAINT WWW_FAV_POZ_FAV_ID_FK FOREIGN KEY (FAV_ID) REFERENCES WWW_FAV(ID) ON DELETE CASCADE ON UPDATE CASCADE;

CREATE INDEX WWW_FAV_POZ_TOWAR_NAZWA_IND ON WWW_FAV_POZ(TOWAR_NAZWA);


CREATE TABLE WWW_ERRORS (
  ID INTEGER NOT NULL,
  NUMER INTEGER,
  SCIEZKA VARCHAR(256) CHARACTER SET WIN1250 COLLATE WIN1250,
  PLIK VARCHAR(32) CHARACTER SET WIN1250 COLLATE WIN1250,
  LINIA INTEGER,
  STR VARCHAR(512) CHARACTER SET WIN1250 COLLATE WIN1250,
  OPIS BLOB SUB_TYPE 1 CHARACTER SET WIN1250,
  DATA TIMESTAMP,
  ADRES_IP ADRES_IP_D,
  USER_ID INTEGER);


ALTER TABLE WWW_ERRORS ADD CONSTRAINT WWW_ERRORS_PK PRIMARY KEY (ID);


CREATE INDEX WWW_ERRORS_ADRES_IP_IND ON WWW_ERRORS(ADRES_IP);

CREATE INDEX WWW_ERRORS_DATA_IND ON WWW_ERRORS(DATA);

CREATE INDEX WWW_ERRORS_NUMER_IND ON WWW_ERRORS(NUMER);

CREATE INDEX WWW_ERRORS_PLIK_IND ON WWW_ERRORS(PLIK);


SET TERM  ^ ;

CREATE TRIGGER WWW_ERRORS_BI FOR WWW_ERRORS
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_ERRORS_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_DB_VERSION (
  VERSION_NUMBER INTEGER NOT NULL,
  UPGRADE_DATE DATE DEFAULT current_date NOT NULL,
  OPERATOR VARCHAR(20) CHARACTER SET WIN1250 COLLATE WIN1250);


CREATE TABLE WWW_CSV (
  ID INTEGER NOT NULL,
  NAZWA VARCHAR(128) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  KODOWANIE STRING30_D,
  CENA_ID INTEGER NOT NULL,
  CENNIKI BLOB,
  POLA BLOB,
  SEPARATOR_TEKSTU CHAR_CODE_D NOT NULL,
  SEPARATOR_POLA CHAR_CODE_D NOT NULL,
  USE_CACHE BOOLEAN_D NOT NULL,
  CACHE_PERIOD INTEGER,
  UWAGI BLOB,
  CDATE TIMESTAMP,
  MDATE TIMESTAMP);


ALTER TABLE WWW_CSV ADD CONSTRAINT WWW_CSV_ID_PK PRIMARY KEY (ID);


CREATE INDEX WWW_CSV_DATY_IND ON WWW_CSV(CDATE,MDATE);

CREATE UNIQUE INDEX WWW_CSV_NAZWA_UNQ ON WWW_CSV(NAZWA);


CREATE TABLE WWW_CONTACTS (
  CONTACT_ID INTEGER NOT NULL,
  ALLEGRO_UID INTEGER,
  ALLEGRO_LOGIN ALLEGRO_LOGIN_D,
  ALLEGRO_RATING INTEGER);


ALTER TABLE WWW_CONTACTS ADD CONSTRAINT WWW_CONTACTS_CONTACT_ID_FK FOREIGN KEY (CONTACT_ID) REFERENCES R3_CONTACTS(ID) ON DELETE CASCADE ON UPDATE CASCADE;


CREATE INDEX WWW_CONTACTS_ALLEGRO_LOGIN_IND ON WWW_CONTACTS(ALLEGRO_LOGIN);

CREATE INDEX WWW_CONTACTS_ALLEGRO_UID_IND ON WWW_CONTACTS(ALLEGRO_UID);

CREATE UNIQUE INDEX WWW_CONTACTS_CONTACT_ID ON WWW_CONTACTS(CONTACT_ID);


CREATE TABLE WWW_CONFIG (
  ID INTEGER NOT NULL,
  GRUPA VARCHAR(64) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  KLUCZ VARCHAR(128) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  WARTOSC VARCHAR(200) CHARACTER SET WIN1250 COLLATE WIN1250,
  CDATE TIMESTAMP,
  MDATE TIMESTAMP);


ALTER TABLE WWW_CONFIG ADD CONSTRAINT WWW_CONFIG_ID_PK PRIMARY KEY (ID);


CREATE INDEX WWW_CONFIG_DATY_IND ON WWW_CONFIG(CDATE,MDATE);

CREATE UNIQUE INDEX WWW_CONFIG_KLUCZ_GRUPA_UNQ ON WWW_CONFIG(KLUCZ,GRUPA);


SET TERM  ^ ;

CREATE TRIGGER WWW_CONFIG_BI FOR WWW_CONFIG
ACTIVE BEFORE INSERT
POSITION 0
AS
BEGIN
  IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_CONFIG_ID_GEN,1);
END ^

SET TERM ;  ^


CREATE TABLE WWW_CENNIK (
  ID ID_D NOT NULL,
  ID_KONTRAHENTA SLOWNIK_D,
  ID_GRUPYK SLOWNIK_D,
  ID_PRODUCENTA SLOWNIK_D,
  ID_GRUPYT SLOWNIK_D,
  ID_SPOSOBU_PLATNOSCI SLOWNIK_D,
  ID_OPAKOWANIA SLOWNIK_D,
  INTERNET BOOLEAN_D DEFAULT 0 NOT NULL,
  NEWSLETTER BOOLEAN_D NOT NULL,
  IDCENY SLOWNIK_D,
  RODZAJ_RABATU SLOWNIK_D,
  RABAT PROCENT_D DEFAULT 0 NOT NULL,
  OPERATOR STRING15_D,
  DATAREJ DATA_TIME_D DEFAULT CURRENT_DATE NOT NULL,
  ZMIENIL STRING15_D,
  DATAZMIANY DATA_TIME_D DEFAULT CURRENT_DATE NOT NULL);


ALTER TABLE WWW_CENNIK ADD CONSTRAINT WWW_CENNIK_PK PRIMARY KEY (ID);

ALTER TABLE WWW_CENNIK ADD CONSTRAINT WWW_CENNIK_IDCENY_FK FOREIGN KEY (IDCENY) REFERENCES GM_CENY(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_CENNIK ADD CONSTRAINT WWW_CENNIK_ID_GRUPYK_FK FOREIGN KEY (ID_GRUPYK) REFERENCES R3_CONTACT_GROUPS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_CENNIK ADD CONSTRAINT WWW_CENNIK_ID_GRUPYT_FK FOREIGN KEY (ID_GRUPYT) REFERENCES GM_GRUPYT(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_CENNIK ADD CONSTRAINT WWW_CENNIK_ID_KONTRAHENTA_FK FOREIGN KEY (ID_KONTRAHENTA) REFERENCES R3_CONTACTS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_CENNIK ADD CONSTRAINT WWW_CENNIK_ID_OPAKOWANIA_FK FOREIGN KEY (ID_OPAKOWANIA) REFERENCES GM_OPAKOWANIA(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_CENNIK ADD CONSTRAINT WWW_CENNIK_ID_PRODUCENTA_FK FOREIGN KEY (ID_PRODUCENTA) REFERENCES R3_CONTACTS(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_CENNIK ADD CONSTRAINT WWW_CENNIK_ID_SP_PL_FK FOREIGN KEY (ID_SPOSOBU_PLATNOSCI) REFERENCES GM_SPOSOBY_ZAP(ID) ON DELETE CASCADE ON UPDATE CASCADE;

ALTER TABLE WWW_CENNIK ADD CONSTRAINT WWW_CENNIK_RODZ_RAB_FK FOREIGN KEY (RODZAJ_RABATU) REFERENCES GM_RABATY(ID) ON DELETE SET NULL ON UPDATE CASCADE;


CREATE INDEX WWW_CENNIK_DATY_IND ON WWW_CENNIK(DATAREJ,DATAZMIANY);


CREATE TABLE WWW_AUKCJE (
  ID INTEGER NOT NULL,
  SERWIS VARCHAR(32) CHARACTER SET WIN1250 NOT NULL COLLATE WIN1250,
  SELLER_ID SMALLINT,
  SELLER_LOGIN ALLEGRO_LOGIN_D COLLATE PXW_PLK,
  CAT_ID INTEGER NOT NULL,
  ITEM_ID INTEGER NOT NULL,
  TOWAR_ID INTEGER,
  AUCTION_TYPE STRING10_D NOT NULL,
  ITEM_NAME STRING50_D NOT NULL,
  TOWAR_NAZWA STRING250_D NOT NULL,
  STARTING_PRICE CENA_D NOT NULL,
  TPL VARCHAR(128) CHARACTER SET WIN1250 COLLATE WIN1250,
  BUY_RESERVE_PRICE CENA_D NOT NULL,
  BUY_NOW_PRICE CENA_D NOT NULL,
  SELL_QUANTITY ILOSC_D NOT NULL,
  QUANTITY_TYPE SMALLINT,
  DESCRIPTION BLOB SUB_TYPE 2 SEGMENT SIZE 512,
  FUTURE_ACTIVE BOOLEAN_D NOT NULL,
  AUCTION_DURATION SMALLINT,
  COUNTRY INTEGER,
  STATE SMALLINT,
  LOCATION STRING200_D,
  TRANSPORT VARCHAR(8) CHARACTER SET WIN1250 COLLATE WIN1250,
  TRANSPORT_SHIPMENT BOOLEAN_D NOT NULL,
  WIRE_TRANSFER BOOLEAN_D NOT NULL,
  POSTAGE_TRANSFER BOOLEAN_D NOT NULL,
  BOLD_TITLE BOOLEAN_D NOT NULL,
  LISTING_THUMB BOOLEAN_D NOT NULL,
  HIGHLIGHT BOOLEAN_D NOT NULL,
  FEATURED BOOLEAN_D NOT NULL,
  CATEGORY_PAGE BOOLEAN_D NOT NULL,
  ITEM_PRICE CENA_D NOT NULL,
  STARTING_TIME INTEGER,
  HIGH_BIDDER INTEGER,
  IS_ECO BOOLEAN_NULL_D,
  HIT_COUNT INTEGER,
  FIELDS BLOB SUB_TYPE 1 SEGMENT SIZE 256 CHARACTER SET WIN1250,
  ATTRIBS BLOB SUB_TYPE 2 SEGMENT SIZE 256,
  FOTOS BLOB SUB_TYPE 2 SEGMENT SIZE 256,
  CDATE TIMESTAMP NOT NULL,
  MDATE TIMESTAMP NOT NULL,
  ARCHIVE BOOLEAN_D NOT NULL,
  KILLED BOOLEAN_D NOT NULL);


ALTER TABLE WWW_AUKCJE ADD CONSTRAINT WWW_AUKCJE_PK PRIMARY KEY (ID);

ALTER TABLE WWW_AUKCJE ADD CONSTRAINT WWW_AUKCJE_TOWAR_ID_FK FOREIGN KEY (TOWAR_ID) REFERENCES GM_TOWARY(ID) ON DELETE SET NULL ON UPDATE SET NULL;


SET TERM  ^ ;

CREATE TRIGGER WWW_AUKCJE_BI0 FOR WWW_AUKCJE
ACTIVE BEFORE INSERT
POSITION 0
AS
begin
  /* Trigger text */
 IF (NEW.ID IS NULL) THEN
    NEW.ID = GEN_ID(WWW_AUKCJE_ID_GEN,1);
end ^

SET TERM ;  ^

