CREATE DOMAIN WWW_INSTALACJA_D AS
VARCHAR(30) CHARACTER SET WIN1250
COLLATE WIN1250 ;

ALTER TABLE WWW_POWIADOMIENIA
ADD INSTALACJA WWW_INSTALACJA_D
COLLATE WIN1250 ;

CREATE INDEX WWW_POWIADOMIENIA_INSTAL_IND
ON WWW_POWIADOMIENIA (INSTALACJA);


-------------------------------------

ALTER TABLE WWW_NEWS
ADD INSTALACJA WWW_INSTALACJA_D
COLLATE WIN1250 ;


CREATE INDEX WWW_NEWS_INSTALACJA_IND
ON WWW_NEWS (INSTALACJA);


--------------------------------------


ALTER TABLE WWW_STRONY
ADD INSTALACJA WWW_INSTALACJA_D
COLLATE WIN1250 ;


CREATE INDEX WWW_STRONY_INSTALACJA_IND
ON WWW_STRONY (INSTALACJA);

ALTER TABLE WWW_STRONY DROP CONSTRAINT WWW_STRONY_NAZWA_UNQ;
alter table WWW_STRONY
add constraint WWW_STRONY_NAZWA_UNQ
unique (NAZWA,INSTALACJA)
using index WWW_STRONY_NAZWA_UNQ;


----------------------------------------


ALTER TABLE WWW_SPOSOBY_DOSTAWY
ADD INSTALACJA WWW_INSTALACJA_D
COLLATE WIN1250 ;


CREATE INDEX WWW_SPOSOBY_DOSTAWY_INSTAL_IND
ON WWW_SPOSOBY_DOSTAWY (INSTALACJA);


---------------------------------------

ALTER TABLE WWW_GRUPYT
ADD INSTALACJA WWW_INSTALACJA_D
COLLATE WIN1250 ;


CREATE INDEX WWW_GRUPYT_INSTALACJA_IND
ON WWW_GRUPYT (INSTALACJA);

ALTER TABLE WWW_GRUPYT DROP CONSTRAINT WWW_GRUPYT_PK;

ALTER TABLE WWW_GRUPYT ADD CONSTRAINT WWW_GRUPYT_ID_INSTALACJA_UNQ UNIQUE (ID,INSTALACJA);


------------------------------------------

ALTER TABLE WWW_GRUPYT_EXT
ADD INSTALACJA WWW_INSTALACJA_D
COLLATE WIN1250 ;


CREATE INDEX WWW_GRUPYT_EXT_INSTALACJA_IND
ON WWW_GRUPYT_EXT (INSTALACJA);

ALTER TABLE WWW_GRUPYT_EXT DROP CONSTRAINT WWW_GRUPYT_EXT_PK;

ALTER TABLE WWW_GRUPYT_EXT ADD CONSTRAINT WWW_GRUPYT_EXT_ID_INSTAL_UNQ UNIQUE (ID,INSTALACJA);

--------------------------------------------


ALTER TABLE WWW_KOMENTARZE
ADD INSTALACJA WWW_INSTALACJA_D
COLLATE WIN1250 ;


CREATE INDEX WWW_KOMENTARZE_INSTALACJA_IND
ON WWW_KOMENTARZE (INSTALACJA);


--------------------------------------------


ALTER TABLE WWW_CONFIG
ADD INSTALACJA WWW_INSTALACJA_D
COLLATE WIN1250 ;

DROP INDEX WWW_CONFIG_KLUCZ_GRUPA_UNQ;

update RDB$FIELDS set
RDB$FIELD_LENGTH = 64,
RDB$CHARACTER_LENGTH = 64
where RDB$FIELD_NAME = (
select rf.rdb$field_source
from rdb$relation_fields rf
where (rf.rdb$field_name = 'KLUCZ')
and (rf.rdb$relation_name = 'WWW_CONFIG'));


--alter table WWW_CONFIG add constraint WWW_CONFIG_UNQ unique (INSTALACJA,GRUPA,KLUCZ);

--------------------------------------------
