var ACTION_KONTRAHENCI = 0;
var multi = '';
o_kontrahenci_ajax = createXmlHttpRequestObject();

function KontrahenciMulti( typ, settings ){
    this.multi = typ;

    this.o_ajax = createXmlHttpRequestObject();
    
    this.o_div = document.getElementById( this.multi + '_kontrahenci_div');
    
    this.o_table = null;
    
    this.a_items = new Array();
    
    this.n_item = -1;

    this.o_form = null;
    this.s_field_contact_id = '';
    this.s_field_contact_name = '';

    if( settings['form_name'] ) {

        this.o_form = document.forms[settings.form_name];
        
        this.s_field_contact_id = settings.contact_id_field;

        this.s_field_contact_name = settings.contact_name_field;
    }

    this.init  = kontrahenci_init;
    this.print = kontrahenci_print;
    
    this.wybierz  = kontrahenci_wybierz;

    this.load     = kontrahenci_load;
    this.load_response = kontrahenci_load_response;
    
    this.usun   = kontrahent_usun;
    this.usun_response   = kontrahent_usun_response;
    
    this.dodaj          = kontrahent_dodaj;
    this.dodaj_response = kontrahent_dodaj_response;
    
    this.init();
}

function kontrahenci_init(){
    this.o_table = document.createElement('TABLE');
    this.o_table.id = this.multi + '_kontrahenci_grid';
    this.o_table.className = 'grid';
    this.o_table.style.width = '100%';
    this.o_table.cellPadding = 2;
    this.o_table.cellSpacing = 0;
    
    o_tbody = document.createElement('TBODY');

    o_tr = document.createElement('TR');
    var o_td = document.createElement('TH');
    o_td.innerHTML = '#';
    o_td.width = '20px';
    o_tr.appendChild(o_td);
    
    o_td = document.createElement('TH');
    o_td.innerHTML = 'Nazwa';
    o_tr.appendChild(o_td);

    o_td = document.createElement('TH');
    o_td.innerHTML = 'Nip';
    o_td.width = '110px';
    o_tr.appendChild(o_td);
    
    o_td = document.createElement('TH');
    o_td.innerHTML = 'Adres';
    o_td.width = '160px';
    o_tr.appendChild(o_td);
    
    o_tbody.appendChild(o_tr);
    
    this.o_table.appendChild(o_tbody);

    this.o_div.style.display = 'none';
    
    this.o_div.appendChild( this.o_table );
    
}

function kontrahenci_wybierz( search ){
    var url = ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&multi=' + this.multi + (( search && search != '' ) ? '&search=' + search : '');

    server_connect( this.o_ajax, ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&mode=' + MODE_AJAX + '&multi=' + this.multi + '&init=1' );
    
    otworz_okno( url, this.multi + 'kontrahenci');
}

function kontrahent_usun( num, o_tr ){
    var o_self = this;

    if( num <  0 || num >= this.a_items.length ){
        alert('Kliknij najpierw na kontrahenta, a nastepnie wcinij klawisz delete.');
        return;
    }
    
    if( confirm('Jeste pewien, e chcesz usun kontrahenta ' + this.a_items[num].SHORT_NAME + '?' ) ){
        this.n_item = num; this.o_tr = o_tr;

        var contact_id = this.a_items[num].ID;

        server_connect( this.o_ajax, ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&mode=' + MODE_AJAX + '&contact_id=' + contact_id + '&multi=' + this.multi + '&check=0', function () { o_self.usun_response( arguments ); } );
    }
}

function kontrahent_usun_response( args ){
    
    var o_txt = args[0];
    
    if( o_txt == 'OK' ){

        var o_item = this.a_items.splice(this.n_item, 1);

        if( this.n_item >= this.a_items.length ){
            var o_tr = this.o_tr.previousSibling;

            this.n_item = this.a_items.length - 1;
            
            this.o_tr.parentNode.removeChild( this.o_tr );

            if( this.n_item >= 0 ){
                podswietl_wiersz( o_tr );
            }else{
                this.o_div.style.display = 'none';
            }
            
            grid_row--;
        }else{
            var o_tr = this.o_tr.nextSibling;
            
            this.o_tr.parentNode.removeChild( this.o_tr );
            
            var o_td, i  = this.n_item;

            var o_tr1 = o_tr;
            
            while( o_tr ){
                //console.log(o_tr.nodeName);
                
                if( o_tr.nodeName == 'TR' ){
                    o_td = o_tr.firstChild;
                    o_td.innerHTML = (i+1) + '. ';
                    o_tr.className = 'wiersz' + ( (i%2) + 1 );
                    o_tr.onclick = function(){ podswietl_wiersz( this ); };
                    
                    i++;
                }
                
                o_tr = o_tr.nextSibling;
            }

            podswietl_wiersz( o_tr1 );
        }
        
        if( this.o_form ){
            var o_input  = document.createElement('INPUT');
            o_input.type  = 'hidden';
            o_input.name  = 'kontrahenci2delete[]';
            o_input.value = o_item['ID'];

            this.o_form.appendChild( o_input );
        }
    }else{
        alert('Nie udao si usun kontrahenta: ' + this.a_items[this.a_item].SHORT_NAME );
    }
}

function kontrahent_dodaj( contact_id, contact_name ){
    var o_self = this;
    var i, znaleziono = false;

    if( arguments.length == 0 ){
        contact_id   = this.o_form.elements[this.s_field_contact_id].value;
        contact_name = this.o_form.elements[this.s_field_contact_name].value;
    }
    
    if( contact_id > 0 ){
        var url = ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&mode=' + MODE_AJAX + '&contact_id=' + contact_id + '&multi=' + this.multi + '&check=1&info=1';
        
        for( i = 0 ; i < this.a_items.length; i++ ){
            if( this.a_items[i].ID == contact_id ){
                znaleziono = true;
                break;
            }
        }

        if( znaleziono ){
            alert('Kontrahent '+ contact_name + ' zosta ju dodany.' );
        }else{
            server_connect( this.o_ajax, url, function () { o_self.dodaj_response( arguments ); } );

            if( this.o_form )
                this.o_form.elements[this.s_field_contact_id].value  = this.o_form.elements[this.s_field_contact_name].value  = '';
            
        }
    }else{
        alert('Wybierz kontrahenta.');
    }
}

function kontrahent_dodaj_response( args ){
    if( args.length < 2 ){
        alert('Bdna odpowied serwera. Sprbuj ponownie wybra kontrahentw.');
        return false;
    }
    var o_xml = args[0];
    
    var o_kontrahent_xml  = o_xml.getElementsByTagName('kontrahent').item(0);
    var atrybut, o_kontrahent      = new Object();

    for( j = 0; j < o_kontrahent_xml.attributes.length; j++){
        atrybut = o_kontrahent_xml.attributes.item(j);
        o_kontrahent[atrybut.name] = atrybut.value;
    }

    this.a_items.push( o_kontrahent );

    var  o_tr = kontrahenci_create_tr( this.a_items.length-1, o_kontrahent );
    var i = this.a_items.length-1;
    o_tr.onclick = function(){ podswietl_wiersz( this ); grid_row = i }

    this.o_table.firstChild.appendChild( o_tr );

    if( this.o_div.clientHeight == 0  ){
        this.o_div.style.display = 'block';
    }
}

function kontrahenci_load(){
    var o_self = this;
    
    server_connect( this.o_ajax, ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&mode='+ MODE_AJAX + '&load=' + this.multi, function () { o_self.load_response( arguments ); } );
}

function kontrahenci_load_response( args ){
    if( args.length < 2 ){
        alert('Bdna odpowied serwera. Sprbuj ponownie wybra kontrahentw.');
        return false;
    }
    var o_xml = args[0];

    var o_kontrahenci_xml = o_xml.getElementsByTagName('kontrahent');
    var o_kontrahent_xml  = new Object();
    var o_kontrahent      = new Object();

    //zeruje alarmy
    this.a_items = new Array();

    /* pobieramy nowe nazwy funkcji z pliku XML w postaci tablicy */
    var atrybut, key, value, i, j;

    for( i = 0; i < o_kontrahenci_xml.length; i++){
        o_kontrahent_xml = o_kontrahenci_xml.item(i);

        o_kontrahent = new Object();

        for( j = 0; j < o_kontrahent_xml.attributes.length; j++){
            atrybut = o_kontrahent_xml.attributes.item(j);
            o_kontrahent[atrybut.name] = atrybut.value;
        }

        this.a_items.push( o_kontrahent );
    }

    if( o_kontrahenci_xml.length > 0 )
        this.print();
}


function kontrahenci_create_tr ( i, o_kontrahent ){
    var field, str = new String();
    var o_tr = document.createElement('TR');

    o_tr.className = 'wiersz' +(i%2+1) + (( i == this.n_item ) ? ' highlight' : '');
    o_tr.onclick = function(){ podswietl_wiersz( this );  }

    kontrahenci_make_tr( o_tr, i, o_kontrahent );

    return o_tr;
}

function kontrahenci_make_tr( o_tr, i, o_kontrahent ){

    var o_td = document.createElement('TD');
    o_td.innerHTML = ( i + 1 )+ '.';
    o_tr.appendChild(o_td);

    o_td = document.createElement('TD');
    o_td.innerHTML = o_kontrahent.SHORT_NAME + '<input type="hidden" name="kontrahenci[]" value="' + o_kontrahent.ID + '" >';
    o_tr.appendChild(o_td);

    o_td = document.createElement('TD');
    o_td.innerHTML = o_kontrahent.TAXID;
    o_tr.appendChild(o_td);

/*
    var str = '';
    for( field in o_kontrahent ){
        str += '<input type="hidden" name="kontrahenci['+i+']['+field+']" value="' + o_kontrahent[field] + '" >';
    }
*/

    o_td = document.createElement('TD');
    o_td.innerHTML = o_kontrahent.ZIPCODE + ' ' + o_kontrahent.PLACE  + '<br>' + o_kontrahent.ADRES ;
    o_tr.appendChild(o_td);
    
}


function kontrahenci_print(){
    var i, o_tbody, o_tr = false;

    var o_self = this;
    
    o_tbody = this.o_table.firstChild;

    for( i = 0; i < this.a_items.length; i++ ){

        if( o_tbody.childNodes[i+1] ){
            o_tr = o_tbody.childNodes[i+1];

            while ( o_tr.childNodes.length >= 1 ){
                o_tr.removeChild( o_tr.firstChild );
            }

            kontrahenci_make_tr( o_tr, i, this.a_items[i] );
        }else{
            o_tr = kontrahenci_create_tr( i, this.a_items[i] );

            o_tbody.appendChild( o_tr );
        }
    }

    this.o_div.style.display = 'block';
    
    grid_setup( this.multi + '_kontrahenci_grid', {  'ondelete' : function(){ o_self.usun(arguments[0], arguments[1]) } } );
}



/**************************************************************************************************/
function kontrahenci_checkbox_onclick( o_check ){
    var url = ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&mode=' + MODE_AJAX + '&contact_id=' + o_check.value + '&multi=' + multi;

    url += '&check=' + (( o_check.checked ) ? '1' : '0' );

    server_connect( o_kontrahenci_ajax, url );
}

function kontrahenci_onreturn(){
    if( arguments.length == 0 ){
        onreturn = multi + '_kontrahenci_onreturn';
    }else{
        onreturn = arguments[0] + '_kontrahenci_onreturn';
    }


    if( opener.closed ){
        alert('Okno docelowe zostao zamknite i nie mona zwrci danych dla okna macierzystego!');
        window.close();
        return;
    }
    if( typeof(opener[onreturn]) != 'function' ){
        alert('W oknie docelowym nie zostaa znaleziona funkcja: ' + onreturn + '. By moe okno macierzyste zostao przeadowane lub zmieniono lokalizacj.' );
        opener.focus();
        window.close();
        return;
    }

    try{
        opener[onreturn]();
    }catch(o_error){
        alert('Nie mona byo zwri zmiany. Wystapi nastepujcy bd: \n' + o_error.toString() );
    }

    opener.focus();
    window.close();
}

function kontrahenci_select_anuluj(){
    opener.focus();window.close();
}

function kontrahenci_anuluj(){
    var typ = ( arguments.length == 0 ) ? multi  : arguments[0] ;

    server_connect( o_kontrahenci_ajax, ADMIN_URL + '?action=' + ACTION_KONTRAHENCI + '&mode=' + MODE_AJAX + '&multi=' + typ + '&anuluj=1' );

    opener.focus();
    window.close();
}

function kontrahenci_onescape(){
    if( confirm('Jeste pewien e chcesz zamkn okno wyboru kontrahentw i powrci do poprzedniego okna.') ){
        kontrahenci_anuluj();
    }
}


function kontrahenci_onenter( num, o_tr ){
    kontrahenci_onreturn();
}

function kontrahenci_onspace( num, o_tr ){
    var o_inputs = o_tr.getElementsByTagName('INPUT');
    var o_input, i;

    o_input = o_inputs.item(0);

    if( o_input ){
        o_input.checked = !o_input.checked;

        kontrahenci_checkbox_onclick( o_input );
    }
}

function kontrahenci_onleft( num, o_tr ){

    var strona, url = location.href;
    strona_match = url.match(/strona=([0-9]+)/);
    if( strona_match ){
        strona = parseInt(strona_match[1]);
        strona = isNaN(strona) ? 0 : strona;
        
        if( strona > 1 ){
            window.location = url.replace("strona=" + strona, "strona=" + (strona-1) );
            return;
        }
    }

    alert('Nie moesz przej na wczeniejsz podstron.');
}

function kontrahenci_onright( num, o_tr ){
    var strona, url = location.href;
    strona_match = url.match(/strona=([0-9]+)/);

    if( strona_match ){
        strona = parseInt(strona_match[1]);
        strona = isNaN(strona) ? 0 : strona;

        if( strona < liczba_stron ){
             url = url.replace("strona=" + strona, "strona=" + (strona+1) );
        }else{
            alert('Nie moesz przej na nastpn podstron poniewa jeste na ostatniej stronie.');
            return;
        }
    }else{
        url += '&strona=2';
    }

    window.location = url;
}
